package cn.com.infosec.jce.provider;

import cn.com.infosec.asn1.DERObjectIdentifier;
import cn.com.infosec.asn1.cryptopro.CryptoProObjectIdentifiers;
import cn.com.infosec.asn1.iana.IANAObjectIdentifiers;
import cn.com.infosec.asn1.nist.NISTObjectIdentifiers;
import cn.com.infosec.asn1.oiw.OIWObjectIdentifiers;
import cn.com.infosec.asn1.pkcs.PKCSObjectIdentifiers;
import cn.com.infosec.asn1.teletrust.TeleTrusTObjectIdentifiers;
import cn.com.infosec.asn1.x9.X9ObjectIdentifiers;
import cn.com.infosec.jce.interfaces.ConfigurableProvider;
import cn.com.infosec.jce.provider.symmetric.AESMappings;
import cn.com.infosec.jce.provider.symmetric.CAST5Mappings;
import cn.com.infosec.jce.provider.symmetric.CamelliaMappings;
import cn.com.infosec.jce.provider.symmetric.NoekeonMappings;
import cn.com.infosec.jce.provider.symmetric.SEEDMappings;
import java.security.Provider;
import java.util.Iterator;
import java.util.Map;

public final class InfosecProvider extends Provider implements ConfigurableProvider {
   private static String info;
   public static String PROVIDER_NAME;

   public InfosecProvider() {
      InfosecProvider var10000 = this;
      InfosecProvider var10001 = this;
      InfosecProvider var10002 = this;
      InfosecProvider var10003 = this;
      InfosecProvider var10004 = this;
      InfosecProvider var10005 = this;
      InfosecProvider var10006 = this;
      InfosecProvider var10007 = this;
      InfosecProvider var10008 = this;
      InfosecProvider var10009 = this;
      InfosecProvider var10010 = this;
      InfosecProvider var10011 = this;
      InfosecProvider var10012 = this;
      InfosecProvider var10013 = this;
      InfosecProvider var10014 = this;
      InfosecProvider var10015 = this;
      InfosecProvider var10016 = this;
      InfosecProvider var10017 = this;
      InfosecProvider var10018 = this;
      InfosecProvider var10019 = this;
      InfosecProvider var10020 = this;
      InfosecProvider var10021 = this;
      InfosecProvider var10022 = this;
      InfosecProvider var10023 = this;
      InfosecProvider var10024 = this;
      InfosecProvider var10025 = this;
      InfosecProvider var10026 = this;
      InfosecProvider var10027 = this;
      InfosecProvider var10028 = this;
      InfosecProvider var10029 = this;
      InfosecProvider var10030 = this;
      InfosecProvider var10031 = this;
      InfosecProvider var10032 = this;
      InfosecProvider var10033 = this;
      InfosecProvider var10034 = this;
      InfosecProvider var10035 = this;
      InfosecProvider var10036 = this;
      InfosecProvider var10037 = this;
      InfosecProvider var10038 = this;
      InfosecProvider var10039 = this;
      InfosecProvider var10040 = this;
      InfosecProvider var10041 = this;
      InfosecProvider var10042 = this;
      InfosecProvider var10043 = this;
      InfosecProvider var10044 = this;
      InfosecProvider var10045 = this;
      InfosecProvider var10046 = this;
      InfosecProvider var10047 = this;
      InfosecProvider var10048 = this;
      InfosecProvider var10049 = this;
      InfosecProvider var10050 = this;
      InfosecProvider var10051 = this;
      InfosecProvider var10052 = this;
      InfosecProvider var10053 = this;
      InfosecProvider var10054 = this;
      InfosecProvider var10055 = this;
      InfosecProvider var10056 = this;
      InfosecProvider var10057 = this;
      InfosecProvider var10058 = this;
      InfosecProvider var10059 = this;
      InfosecProvider var10060 = this;
      InfosecProvider var10061 = this;
      InfosecProvider var10062 = this;
      InfosecProvider var10063 = this;
      InfosecProvider var10064 = this;
      InfosecProvider var10065 = this;
      InfosecProvider var10066 = this;
      InfosecProvider var10067 = this;
      InfosecProvider var10068 = this;
      InfosecProvider var10069 = this;
      InfosecProvider var10070 = this;
      InfosecProvider var10071 = this;
      InfosecProvider var10072 = this;
      InfosecProvider var10073 = this;
      InfosecProvider var10074 = this;
      InfosecProvider var10075 = this;
      InfosecProvider var10076 = this;
      InfosecProvider var10077 = this;
      InfosecProvider var10078 = this;
      InfosecProvider var10079 = this;
      InfosecProvider var10080 = this;
      InfosecProvider var10081 = this;
      InfosecProvider var10082 = this;
      InfosecProvider var10083 = this;
      InfosecProvider var10084 = this;
      InfosecProvider var10085 = this;
      InfosecProvider var10086 = this;
      InfosecProvider var10087 = this;
      InfosecProvider var10088 = this;
      InfosecProvider var10089 = this;
      InfosecProvider var10090 = this;
      InfosecProvider var10091 = this;
      InfosecProvider var10092 = this;
      InfosecProvider var10093 = this;
      InfosecProvider var10094 = this;
      InfosecProvider var10095 = this;
      InfosecProvider var10096 = this;
      InfosecProvider var10097 = this;
      InfosecProvider var10098 = this;
      InfosecProvider var10099 = this;
      InfosecProvider var10100 = this;
      InfosecProvider var10101 = this;
      InfosecProvider var10102 = this;
      InfosecProvider var10103 = this;
      InfosecProvider var10104 = this;
      InfosecProvider var10105 = this;
      InfosecProvider var10106 = this;
      InfosecProvider var10107 = this;
      InfosecProvider var10108 = this;
      InfosecProvider var10109 = this;
      InfosecProvider var10110 = this;
      InfosecProvider var10111 = this;
      InfosecProvider var10112 = this;
      InfosecProvider var10113 = this;
      InfosecProvider var10114 = this;
      InfosecProvider var10115 = this;
      InfosecProvider var10116 = this;
      InfosecProvider var10117 = this;
      InfosecProvider var10118 = this;
      InfosecProvider var10119 = this;
      InfosecProvider var10120 = this;
      InfosecProvider var10121 = this;
      InfosecProvider var10122 = this;
      InfosecProvider var10123 = this;
      InfosecProvider var10124 = this;
      InfosecProvider var10125 = this;
      InfosecProvider var10126 = this;
      InfosecProvider var10127 = this;
      InfosecProvider var10128 = this;
      InfosecProvider var10129 = this;
      InfosecProvider var10130 = this;
      InfosecProvider var10131 = this;
      InfosecProvider var10132 = this;
      InfosecProvider var10133 = this;
      InfosecProvider var10134 = this;
      InfosecProvider var10135 = this;
      InfosecProvider var10136 = this;
      InfosecProvider var10137 = this;
      InfosecProvider var10138 = this;
      InfosecProvider var10139 = this;
      InfosecProvider var10140 = this;
      InfosecProvider var10141 = this;
      InfosecProvider var10142 = this;
      InfosecProvider var10143 = this;
      InfosecProvider var10144 = this;
      InfosecProvider var10145 = this;
      InfosecProvider var10146 = this;
      InfosecProvider var10147 = this;
      InfosecProvider var10148 = this;
      InfosecProvider var10149 = this;
      InfosecProvider var10150 = this;
      InfosecProvider var10151 = this;
      InfosecProvider var10152 = this;
      InfosecProvider var10153 = this;
      InfosecProvider var10154 = this;
      InfosecProvider var10155 = this;
      InfosecProvider var10156 = this;
      InfosecProvider var10157 = this;
      InfosecProvider var10158 = this;
      InfosecProvider var10159 = this;
      InfosecProvider var10160 = this;
      InfosecProvider var10161 = this;
      InfosecProvider var10162 = this;
      InfosecProvider var10163 = this;
      InfosecProvider var10164 = this;
      InfosecProvider var10165 = this;
      InfosecProvider var10166 = this;
      InfosecProvider var10167 = this;
      InfosecProvider var10168 = this;
      InfosecProvider var10169 = this;
      InfosecProvider var10170 = this;
      InfosecProvider var10171 = this;
      InfosecProvider var10172 = this;
      InfosecProvider var10173 = this;
      InfosecProvider var10174 = this;
      InfosecProvider var10175 = this;
      InfosecProvider var10176 = this;
      InfosecProvider var10177 = this;
      InfosecProvider var10178 = this;
      InfosecProvider var10179 = this;
      InfosecProvider var10180 = this;
      InfosecProvider var10181 = this;
      InfosecProvider var10182 = this;
      InfosecProvider var10183 = this;
      InfosecProvider var10184 = this;
      InfosecProvider var10185 = this;
      InfosecProvider var10186 = this;
      InfosecProvider var10187 = this;
      InfosecProvider var10188 = this;
      InfosecProvider var10189 = this;
      InfosecProvider var10190 = this;
      InfosecProvider var10191 = this;
      InfosecProvider var10192 = this;
      InfosecProvider var10193 = this;
      InfosecProvider var10194 = this;
      InfosecProvider var10195 = this;
      InfosecProvider var10196 = this;
      InfosecProvider var10197 = this;
      InfosecProvider var10198 = this;
      InfosecProvider var10199 = this;
      InfosecProvider var10200 = this;
      InfosecProvider var10201 = this;
      InfosecProvider var10202 = this;
      InfosecProvider var10203 = this;
      InfosecProvider var10204 = this;
      InfosecProvider var10205 = this;
      InfosecProvider var10206 = this;
      InfosecProvider var10207 = this;
      InfosecProvider var10208 = this;
      InfosecProvider var10209 = this;
      InfosecProvider var10210 = this;
      InfosecProvider var10211 = this;
      InfosecProvider var10212 = this;
      InfosecProvider var10213 = this;
      InfosecProvider var10214 = this;
      InfosecProvider var10215 = this;
      InfosecProvider var10216 = this;
      InfosecProvider var10217 = this;
      InfosecProvider var10218 = this;
      InfosecProvider var10219 = this;
      InfosecProvider var10220 = this;
      InfosecProvider var10221 = this;
      InfosecProvider var10222 = this;
      InfosecProvider var10223 = this;
      InfosecProvider var10224 = this;
      InfosecProvider var10225 = this;
      InfosecProvider var10226 = this;
      InfosecProvider var10227 = this;
      InfosecProvider var10228 = this;
      InfosecProvider var10229 = this;
      InfosecProvider var10230 = this;
      InfosecProvider var10231 = this;
      InfosecProvider var10232 = this;
      InfosecProvider var10233 = this;
      InfosecProvider var10234 = this;
      InfosecProvider var10235 = this;
      InfosecProvider var10236 = this;
      InfosecProvider var10237 = this;
      InfosecProvider var10238 = this;
      InfosecProvider var10239 = this;
      InfosecProvider var10240 = this;
      InfosecProvider var10241 = this;
      InfosecProvider var10242 = this;
      InfosecProvider var10243 = this;
      InfosecProvider var10244 = this;
      InfosecProvider var10245 = this;
      InfosecProvider var10246 = this;
      InfosecProvider var10247 = this;
      InfosecProvider var10248 = this;
      InfosecProvider var10249 = this;
      InfosecProvider var10250 = this;
      InfosecProvider var10251 = this;
      InfosecProvider var10252 = this;
      InfosecProvider var10253 = this;
      InfosecProvider var10254 = this;
      InfosecProvider var10255 = this;
      InfosecProvider var10256 = this;
      InfosecProvider var10257 = this;
      InfosecProvider var10258 = this;
      InfosecProvider var10259 = this;
      InfosecProvider var10260 = this;
      InfosecProvider var10261 = this;
      InfosecProvider var10262 = this;
      InfosecProvider var10263 = this;
      InfosecProvider var10264 = this;
      InfosecProvider var10265 = this;
      InfosecProvider var10266 = this;
      InfosecProvider var10267 = this;
      InfosecProvider var10268 = this;
      InfosecProvider var10269 = this;
      InfosecProvider var10270 = this;
      InfosecProvider var10271 = this;
      InfosecProvider var10272 = this;
      InfosecProvider var10273 = this;
      InfosecProvider var10274 = this;
      InfosecProvider var10275 = this;
      InfosecProvider var10276 = this;
      InfosecProvider var10277 = this;
      InfosecProvider var10278 = this;
      InfosecProvider var10279 = this;
      InfosecProvider var10280 = this;
      InfosecProvider var10281 = this;
      InfosecProvider var10282 = this;
      InfosecProvider var10283 = this;
      InfosecProvider var10284 = this;
      InfosecProvider var10285 = this;
      InfosecProvider var10286 = this;
      InfosecProvider var10287 = this;
      InfosecProvider var10288 = this;
      InfosecProvider var10289 = this;
      InfosecProvider var10290 = this;
      InfosecProvider var10291 = this;
      InfosecProvider var10292 = this;
      InfosecProvider var10293 = this;
      InfosecProvider var10294 = this;
      InfosecProvider var10295 = this;
      InfosecProvider var10296 = this;
      InfosecProvider var10297 = this;
      InfosecProvider var10298 = this;
      InfosecProvider var10299 = this;
      InfosecProvider var10300 = this;
      InfosecProvider var10301 = this;
      InfosecProvider var10302 = this;
      InfosecProvider var10303 = this;
      InfosecProvider var10304 = this;
      InfosecProvider var10305 = this;
      InfosecProvider var10306 = this;
      InfosecProvider var10307 = this;
      InfosecProvider var10308 = this;
      InfosecProvider var10309 = this;
      InfosecProvider var10310 = this;
      InfosecProvider var10311 = this;
      InfosecProvider var10312 = this;
      InfosecProvider var10313 = this;
      InfosecProvider var10314 = this;
      InfosecProvider var10315 = this;
      InfosecProvider var10316 = this;
      InfosecProvider var10317 = this;
      InfosecProvider var10318 = this;
      InfosecProvider var10319 = this;
      InfosecProvider var10320 = this;
      InfosecProvider var10321 = this;
      InfosecProvider var10322 = this;
      InfosecProvider var10323 = this;
      InfosecProvider var10324 = this;
      InfosecProvider var10325 = this;
      InfosecProvider var10326 = this;
      InfosecProvider var10327 = this;
      InfosecProvider var10328 = this;
      InfosecProvider var10329 = this;
      InfosecProvider var10330 = this;
      InfosecProvider var10331 = this;
      InfosecProvider var10332 = this;
      InfosecProvider var10333 = this;
      InfosecProvider var10334 = this;
      InfosecProvider var10335 = this;
      InfosecProvider var10336 = this;
      InfosecProvider var10337 = this;
      InfosecProvider var10338 = this;
      InfosecProvider var10339 = this;
      InfosecProvider var10340 = this;
      InfosecProvider var10341 = this;
      InfosecProvider var10342 = this;
      InfosecProvider var10343 = this;
      InfosecProvider var10344 = this;
      InfosecProvider var10345 = this;
      InfosecProvider var10346 = this;
      InfosecProvider var10347 = this;
      InfosecProvider var10348 = this;
      InfosecProvider var10349 = this;
      InfosecProvider var10350 = this;
      InfosecProvider var10351 = this;
      InfosecProvider var10352 = this;
      InfosecProvider var10353 = this;
      InfosecProvider var10354 = this;
      InfosecProvider var10355 = this;
      InfosecProvider var10356 = this;
      InfosecProvider var10357 = this;
      InfosecProvider var10358 = this;
      InfosecProvider var10359 = this;
      InfosecProvider var10360 = this;
      InfosecProvider var10361 = this;
      InfosecProvider var10362 = this;
      InfosecProvider var10363 = this;
      InfosecProvider var10364 = this;
      InfosecProvider var10365 = this;
      InfosecProvider var10366 = this;
      InfosecProvider var10367 = this;
      InfosecProvider var10368 = this;
      InfosecProvider var10369 = this;
      InfosecProvider var10370 = this;
      InfosecProvider var10371 = this;
      InfosecProvider var10372 = this;
      InfosecProvider var10373 = this;
      InfosecProvider var10374 = this;
      InfosecProvider var10375 = this;
      InfosecProvider var10376 = this;
      InfosecProvider var10377 = this;
      InfosecProvider var10378 = this;
      InfosecProvider var10379 = this;
      InfosecProvider var10380 = this;
      InfosecProvider var10381 = this;
      InfosecProvider var10382 = this;
      InfosecProvider var10383 = this;
      InfosecProvider var10384 = this;
      InfosecProvider var10385 = this;
      String var2 = info;
      var10385.<init>(PROVIDER_NAME, 1.39, var2);
      var10384.addMappings(new AESMappings());
      var10383.addMappings(new CamelliaMappings());
      var10382.addMappings(new CAST5Mappings());
      var10381.addMappings(new SEEDMappings());
      var10380.addMappings(new NoekeonMappings());
      var10379.put("X509Store.CERTIFICATE/COLLECTION", "cn.com.infosec.jce.provider.X509StoreCertCollection");
      var10378.put("X509Store.ATTRIBUTECERTIFICATE/COLLECTION", "cn.com.infosec.jce.provider.X509StoreAttrCertCollection");
      var10377.put("X509Store.CRL/COLLECTION", "cn.com.infosec.jce.provider.X509StoreCRLCollection");
      var10376.put("X509Store.CERTIFICATEPAIR/COLLECTION", "cn.com.infosec.jce.provider.X509StoreCertPairCollection");
      var10375.put("X509Store.CERTIFICATE/LDAP", "cn.com.infosec.jce.provider.X509StoreLDAPCerts");
      var10374.put("X509Store.CRL/LDAP", "cn.com.infosec.jce.provider.X509StoreLDAPCRLs");
      var10373.put("X509Store.ATTRIBUTECERTIFICATE/LDAP", "cn.com.infosec.jce.provider.X509StoreLDAPAttrCerts");
      var10372.put("X509Store.CERTIFICATEPAIR/LDAP", "cn.com.infosec.jce.provider.X509StoreLDAPCertPairs");
      var10371.put("X509StreamParser.CERTIFICATE", "cn.com.infosec.jce.provider.X509CertParser");
      var10370.put("X509StreamParser.ATTRIBUTECERTIFICATE", "cn.com.infosec.jce.provider.X509AttrCertParser");
      var10369.put("X509StreamParser.CRL", "cn.com.infosec.jce.provider.X509CRLParser");
      var10368.put("X509StreamParser.CERTIFICATEPAIR", "cn.com.infosec.jce.provider.X509CertPairParser");
      var10367.put("KeyStore.BKS", "cn.com.infosec.jce.provider.JDKKeyStore");
      var10366.put("KeyStore.Infosec", "cn.com.infosec.jce.provider.JDKKeyStore$InfosecStore");
      var10365.put("KeyStore.PKCS12", "cn.com.infosec.jce.provider.JDKPKCS12KeyStore$BCPKCS12KeyStore");
      var10364.put("KeyStore.BCPKCS12", "cn.com.infosec.jce.provider.JDKPKCS12KeyStore$BCPKCS12KeyStore");
      var10363.put("KeyStore.PKCS12-DEF", "cn.com.infosec.jce.provider.JDKPKCS12KeyStore$DefPKCS12KeyStore");
      var10362.put("Alg.Alias.KeyStore.UBER", "Infosec");
      var10361.put("Alg.Alias.KeyStore.Infosec", "Infosec");
      var10360.put("Alg.Alias.KeyStore.Infosec", "Infosec");
      var10359.put("CertificateFactory.X.509", "cn.com.infosec.jce.provider.JDKX509CertificateFactory");
      var10358.put("Alg.Alias.CertificateFactory.X509", "X.509");
      var10357.put("CertificateFactory.X.509FX", "cn.com.infosec.jce.provider.JDKX509CertificateFactoryFX");
      var10356.put("Alg.Alias.CertificateFactory.X509FX", "X.509FX");
      var10355.put("AlgorithmParameterGenerator.DH", "cn.com.infosec.jce.provider.JDKAlgorithmParameterGenerator$DH");
      var10354.put("AlgorithmParameterGenerator.DSA", "cn.com.infosec.jce.provider.JDKAlgorithmParameterGenerator$DSA");
      var10353.put("AlgorithmParameterGenerator.GOST3410", "cn.com.infosec.jce.provider.JDKAlgorithmParameterGenerator$GOST3410");
      var10352.put("AlgorithmParameterGenerator.ELGAMAL", "cn.com.infosec.jce.provider.JDKAlgorithmParameterGenerator$ElGamal");
      var10351.put("AlgorithmParameterGenerator.DES", "cn.com.infosec.jce.provider.JDKAlgorithmParameterGenerator$DES");
      var10350.put("AlgorithmParameterGenerator.DESEDE", "cn.com.infosec.jce.provider.JDKAlgorithmParameterGenerator$DES");
      var10349.put("AlgorithmParameterGenerator.1.2.840.113549.3.7", "cn.com.infosec.jce.provider.JDKAlgorithmParameterGenerator$DES");
      var10348.put("AlgorithmParameterGenerator.1.3.14.3.2.7", "cn.com.infosec.jce.provider.JDKAlgorithmParameterGenerator$DES");
      var10347.put("AlgorithmParameterGenerator.IDEA", "cn.com.infosec.jce.provider.JDKAlgorithmParameterGenerator$IDEA");
      var10346.put("AlgorithmParameterGenerator.1.3.6.1.4.1.188.7.1.1.2", "cn.com.infosec.jce.provider.JDKAlgorithmParameterGenerator$IDEA");
      var10345.put("AlgorithmParameterGenerator.RC2", "cn.com.infosec.jce.provider.JDKAlgorithmParameterGenerator$RC2");
      var10344.put("AlgorithmParameterGenerator.1.2.840.113549.3.2", "cn.com.infosec.jce.provider.JDKAlgorithmParameterGenerator$RC2");
      var10343.put("Alg.Alias.AlgorithmParameterGenerator.GOST-3410", "GOST3410");
      var10342.put("AlgorithmParameters.OAEP", "cn.com.infosec.jce.provider.JDKAlgorithmParameters$OAEP");
      var10341.put("AlgorithmParameters.PSS", "cn.com.infosec.jce.provider.JDKAlgorithmParameters$PSS");
      var10340.put("AlgorithmParameters.DH", "cn.com.infosec.jce.provider.JDKAlgorithmParameters$DH");
      var10339.put("AlgorithmParameters.DSA", "cn.com.infosec.jce.provider.JDKAlgorithmParameters$DSA");
      var10338.put("AlgorithmParameters.ELGAMAL", "cn.com.infosec.jce.provider.JDKAlgorithmParameters$ElGamal");
      var10337.put("AlgorithmParameters.IES", "cn.com.infosec.jce.provider.JDKAlgorithmParameters$IES");
      var10336.put("AlgorithmParameters.PKCS12PBE", "cn.com.infosec.jce.provider.JDKAlgorithmParameters$PKCS12PBE");
      var10335.put("AlgorithmParameters.1.2.840.113549.3.7", "cn.com.infosec.jce.provider.JDKAlgorithmParameters$IVAlgorithmParameters");
      var10334.put("AlgorithmParameters.IDEA", "cn.com.infosec.jce.provider.JDKAlgorithmParameters$IDEAAlgorithmParameters");
      var10333.put("AlgorithmParameters.1.3.6.1.4.1.188.7.1.1.2", "cn.com.infosec.jce.provider.JDKAlgorithmParameters$IDEAAlgorithmParameters");
      var10332.put("AlgorithmParameters.GOST3410", "cn.com.infosec.jce.provider.JDKAlgorithmParameters$GOST3410");
      var10331.put("Alg.Alias.AlgorithmParameters.GOST-3410", "GOST3410");
      var10330.put("Alg.Alias.AlgorithmParameters.PBEWITHSHA1ANDRC2", "PKCS12PBE");
      var10329.put("Alg.Alias.AlgorithmParameters.PBEWITHSHAAND3-KEYTRIPLEDES", "PKCS12PBE");
      var10328.put("Alg.Alias.AlgorithmParameters.PBEWITHSHAAND2-KEYTRIPLEDES", "PKCS12PBE");
      var10327.put("Alg.Alias.AlgorithmParameters.PBEWITHSHAANDRC2", "PKCS12PBE");
      var10326.put("Alg.Alias.AlgorithmParameters.PBEWITHSHAANDRC4", "PKCS12PBE");
      var10325.put("Alg.Alias.AlgorithmParameters.PBEWITHSHAANDTWOFISH", "PKCS12PBE");
      var10324.put("Alg.Alias.AlgorithmParameters.PBEWITHSHAANDIDEA", "PKCS12PBE");
      var10323.put("Alg.Alias.AlgorithmParameters.PBEWITHSHA1ANDRC2-CBC", "PKCS12PBE");
      var10322.put("Alg.Alias.AlgorithmParameters.PBEWITHSHAAND3-KEYTRIPLEDES-CBC", "PKCS12PBE");
      var10321.put("Alg.Alias.AlgorithmParameters.PBEWITHSHAAND2-KEYTRIPLEDES-CBC", "PKCS12PBE");
      var10320.put("Alg.Alias.AlgorithmParameters.PBEWITHSHAANDDES3KEY-CBC", "PKCS12PBE");
      var10319.put("Alg.Alias.AlgorithmParameters.PBEWITHSHAANDDES2KEY-CBC", "PKCS12PBE");
      var10318.put("Alg.Alias.AlgorithmParameters.PBEWITHSHAAND40BITRC2-CBC", "PKCS12PBE");
      var10317.put("Alg.Alias.AlgorithmParameters.PBEWITHSHAAND40BITRC4", "PKCS12PBE");
      var10316.put("Alg.Alias.AlgorithmParameters.PBEWITHSHAAND128BITRC2-CBC", "PKCS12PBE");
      var10315.put("Alg.Alias.AlgorithmParameters.PBEWITHSHAAND128BITRC4", "PKCS12PBE");
      var10314.put("Alg.Alias.AlgorithmParameters.PBEWITHSHAANDTWOFISH", "PKCS12PBE");
      var10313.put("Alg.Alias.AlgorithmParameters.PBEWITHSHAANDIDEA", "PKCS12PBE");
      var10312.put("Alg.Alias.AlgorithmParameters.PBEWITHSHAANDTWOFISH-CBC", "PKCS12PBE");
      var10311.put("Alg.Alias.AlgorithmParameters.PBEWITHSHAANDIDEA-CBC", "PKCS12PBE");
      var10310.put("Alg.Alias.AlgorithmParameters.1.2.840.113549.1.12.1.1", "PKCS12PBE");
      var10309.put("Alg.Alias.AlgorithmParameters.1.2.840.113549.1.12.1.2", "PKCS12PBE");
      var10308.put("Alg.Alias.AlgorithmParameters.1.2.840.113549.1.12.1.3", "PKCS12PBE");
      var10307.put("Alg.Alias.AlgorithmParameters.1.2.840.113549.1.12.1.4", "PKCS12PBE");
      var10306.put("Alg.Alias.AlgorithmParameters.1.2.840.113549.1.12.1.5", "PKCS12PBE");
      var10305.put("Alg.Alias.AlgorithmParameters.1.2.840.113549.1.12.1.6", "PKCS12PBE");
      var10304.put("Alg.Alias.AlgorithmParameters.PBEWithSHAAnd3KeyTripleDES", "PKCS12PBE");
      var10303.put("Alg.Alias.AlgorithmParameters." + PKCSObjectIdentifiers.id_RSAES_OAEP, "OAEP");
      var10302.put("Alg.Alias.AlgorithmParameters." + PKCSObjectIdentifiers.id_RSASSA_PSS, "PSS");
      var10301.put("Alg.Alias.AlgorithmParameters.SHA1WITHRSAANDMGF1", "PSS");
      var10300.put("Alg.Alias.AlgorithmParameters.SHA224WITHRSAANDMGF1", "PSS");
      var10299.put("Alg.Alias.AlgorithmParameters.SHA256WITHRSAANDMGF1", "PSS");
      var10298.put("Alg.Alias.AlgorithmParameters.SHA384WITHRSAANDMGF1", "PSS");
      var10297.put("Alg.Alias.AlgorithmParameters.SHA512WITHRSAANDMGF1", "PSS");
      var10296.put("Alg.Alias.AlgorithmParameters.PBEWITHSHAAND128BITAES-CBC-BC", "PKCS12PBE");
      var10295.put("Alg.Alias.AlgorithmParameters.PBEWITHSHAAND192BITAES-CBC-BC", "PKCS12PBE");
      var10294.put("Alg.Alias.AlgorithmParameters.PBEWITHSHAAND256BITAES-CBC-BC", "PKCS12PBE");
      var10293.put("Alg.Alias.AlgorithmParameters.PBEWITHSHA256AND128BITAES-CBC-BC", "PKCS12PBE");
      var10292.put("Alg.Alias.AlgorithmParameters.PBEWITHSHA256AND192BITAES-CBC-BC", "PKCS12PBE");
      var10291.put("Alg.Alias.AlgorithmParameters.PBEWITHSHA256AND256BITAES-CBC-BC", "PKCS12PBE");
      var10290.put("Alg.Alias.AlgorithmParameters.PBEWITHSHA1AND128BITAES-CBC-BC", "PKCS12PBE");
      var10289.put("Alg.Alias.AlgorithmParameters.PBEWITHSHA1AND192BITAES-CBC-BC", "PKCS12PBE");
      var10288.put("Alg.Alias.AlgorithmParameters.PBEWITHSHA1AND256BITAES-CBC-BC", "PKCS12PBE");
      var10287.put("Alg.Alias.AlgorithmParameters.PBEWITHSHA-1AND128BITAES-CBC-BC", "PKCS12PBE");
      var10286.put("Alg.Alias.AlgorithmParameters.PBEWITHSHA-1AND192BITAES-CBC-BC", "PKCS12PBE");
      var10285.put("Alg.Alias.AlgorithmParameters.PBEWITHSHA-1AND256BITAES-CBC-BC", "PKCS12PBE");
      var10284.put("Alg.Alias.AlgorithmParameters.PBEWITHSHA-256AND128BITAES-CBC-BC", "PKCS12PBE");
      var10283.put("Alg.Alias.AlgorithmParameters.PBEWITHSHA-256AND192BITAES-CBC-BC", "PKCS12PBE");
      var10282.put("Alg.Alias.AlgorithmParameters.PBEWITHSHA-256AND256BITAES-CBC-BC", "PKCS12PBE");
      var10281.put("AlgorithmParameters.SHA1WITHECDSA", "cn.com.infosec.jce.provider.JDKECDSAAlgParameters$SigAlgParameters");
      var10280.put("AlgorithmParameters.SHA224WITHECDSA", "cn.com.infosec.jce.provider.JDKECDSAAlgParameters$SigAlgParameters");
      var10279.put("AlgorithmParameters.SHA256WITHECDSA", "cn.com.infosec.jce.provider.JDKECDSAAlgParameters$SigAlgParameters");
      var10278.put("AlgorithmParameters.SHA384WITHECDSA", "cn.com.infosec.jce.provider.JDKECDSAAlgParameters$SigAlgParameters");
      var10277.put("AlgorithmParameters.SHA512WITHECDSA", "cn.com.infosec.jce.provider.JDKECDSAAlgParameters$SigAlgParameters");
      var10276.put("KeyAgreement.DH", "cn.com.infosec.jce.provider.JCEDHKeyAgreement");
      var10275.put("KeyAgreement.ECDH", "cn.com.infosec.jce.provider.JCEECDHKeyAgreement$DH");
      var10274.put("KeyAgreement.ECDHC", "cn.com.infosec.jce.provider.JCEECDHKeyAgreement$DHC");
      DERObjectIdentifier var3;
      var10273.put("KeyAgreement." + (var3 = X9ObjectIdentifiers.dhSinglePass_stdDH_sha1kdf_scheme), "cn.com.infosec.jce.provider.JCEECDHKeyAgreement$DHwithSHA1KDF");
      var10272.put("Cipher.DES", "cn.com.infosec.jce.provider.JCEBlockCipher$DES");
      var10271.put("Cipher.DESEDE", "cn.com.infosec.jce.provider.JCEBlockCipher$DESede");
      var10270.put("Cipher.1.2.840.113549.3.7", "cn.com.infosec.jce.provider.JCEBlockCipher$DESedeCBC");
      var10269.put("Cipher.1.3.14.3.2.7", "cn.com.infosec.jce.provider.JCEBlockCipher$DESCBC");
      var10268.put("Cipher.DESEDEWRAP", "cn.com.infosec.jce.provider.WrapCipherSpi$DESEDEWrap");
      var10267.put("Cipher.1.2.840.113549.1.9.16.3.6", "cn.com.infosec.jce.provider.WrapCipherSpi$DESEDEWrap");
      var10266.put("Cipher.SKIPJACK", "cn.com.infosec.jce.provider.JCEBlockCipher$Skipjack");
      var10265.put("Cipher.BLOWFISH", "cn.com.infosec.jce.provider.JCEBlockCipher$Blowfish");
      var10264.put("Cipher.TWOFISH", "cn.com.infosec.jce.provider.JCEBlockCipher$Twofish");
      var10263.put("Cipher.RC2", "cn.com.infosec.jce.provider.JCEBlockCipher$RC2");
      var10262.put("Cipher.RC2WRAP", "cn.com.infosec.jce.provider.WrapCipherSpi$RC2Wrap");
      var10261.put("Cipher.1.2.840.113549.1.9.16.3.7", "cn.com.infosec.jce.provider.WrapCipherSpi$RC2Wrap");
      var10260.put("Cipher.ARC4", "cn.com.infosec.jce.provider.JCEStreamCipher$RC4");
      var10259.put("Alg.Alias.Cipher.1.2.840.113549.3.4", "ARC4");
      var10258.put("Alg.Alias.Cipher.ARCFOUR", "ARC4");
      var10257.put("Alg.Alias.Cipher.RC4", "ARC4");
      var10256.put("Cipher.SALSA20", "cn.com.infosec.jce.provider.JCEStreamCipher$Salsa20");
      var10255.put("Cipher.HC128", "cn.com.infosec.jce.provider.JCEStreamCipher$HC128");
      var10254.put("Cipher.HC256", "cn.com.infosec.jce.provider.JCEStreamCipher$HC256");
      var10253.put("Cipher.VMPC", "cn.com.infosec.jce.provider.JCEStreamCipher$VMPC");
      var10252.put("Cipher.VMPC-KSA3", "cn.com.infosec.jce.provider.JCEStreamCipher$VMPCKSA3");
      var10251.put("Cipher.RC5", "cn.com.infosec.jce.provider.JCEBlockCipher$RC5");
      var10250.put("Cipher.1.2.840.113549.3.2", "cn.com.infosec.jce.provider.JCEBlockCipher$RC2CBC");
      var10249.put("Alg.Alias.Cipher.RC5-32", "RC5");
      var10248.put("Cipher.RC5-64", "cn.com.infosec.jce.provider.JCEBlockCipher$RC564");
      var10247.put("Cipher.RC6", "cn.com.infosec.jce.provider.JCEBlockCipher$RC6");
      var10246.put("Cipher.RIJNDAEL", "cn.com.infosec.jce.provider.JCEBlockCipher$Rijndael");
      var10245.put("Cipher.DESEDERFC3211WRAP", "cn.com.infosec.jce.provider.WrapCipherSpi$RFC3211DESedeWrap");
      var10244.put("Cipher.SERPENT", "cn.com.infosec.jce.provider.JCEBlockCipher$Serpent");
      var10243.put("Cipher.CAST6", "cn.com.infosec.jce.provider.JCEBlockCipher$CAST6");
      var10242.put("Cipher.IDEA", "cn.com.infosec.jce.provider.JCEBlockCipher$IDEA");
      var10241.put("Cipher.1.3.6.1.4.1.188.7.1.1.2", "cn.com.infosec.jce.provider.JCEBlockCipher$IDEACBC");
      var10240.put("Alg.Alias.Cipher.PBEWithSHAAnd3KeyTripleDES", "PBEWITHSHAAND3-KEYTRIPLEDES-CBC");
      var10239.put("Cipher.GOST28147", "cn.com.infosec.jce.provider.JCEBlockCipher$GOST28147");
      var10238.put("Alg.Alias.Cipher.GOST", "GOST28147");
      var10237.put("Alg.Alias.Cipher.GOST-28147", "GOST28147");
      DERObjectIdentifier var1;
      var10236.put("Cipher." + (var1 = CryptoProObjectIdentifiers.gostR28147_cbc), "cn.com.infosec.jce.provider.JCEBlockCipher$GOST28147cbc");
      var10235.put("Cipher.TEA", "cn.com.infosec.jce.provider.JCEBlockCipher$TEA");
      var10234.put("Cipher.XTEA", "cn.com.infosec.jce.provider.JCEBlockCipher$XTEA");
      var10233.put("Cipher.RSA", "cn.com.infosec.jce.provider.JCERSACipher$NoPadding");
      var10232.put("Cipher.RSA/RAW", "cn.com.infosec.jce.provider.JCERSACipher$NoPadding");
      var10231.put("Cipher.RSA/PKCS1", "cn.com.infosec.jce.provider.JCERSACipher$PKCS1v1_5Padding");
      var10230.put("Cipher.1.2.840.113549.1.1.1", "cn.com.infosec.jce.provider.JCERSACipher$PKCS1v1_5Padding");
      var10229.put("Cipher.2.5.8.1.1", "cn.com.infosec.jce.provider.JCERSACipher$PKCS1v1_5Padding");
      var10228.put("Cipher.RSA/1", "cn.com.infosec.jce.provider.JCERSACipher$PKCS1v1_5Padding_PrivateOnly");
      var10227.put("Cipher.RSA/2", "cn.com.infosec.jce.provider.JCERSACipher$PKCS1v1_5Padding_PublicOnly");
      var10226.put("Cipher.RSA/OAEP", "cn.com.infosec.jce.provider.JCERSACipher$OAEPPadding");
      var10225.put("Cipher.1.2.840.113549.1.1.7", "cn.com.infosec.jce.provider.JCERSACipher$OAEPPadding");
      var10224.put("Cipher.RSA/ISO9796-1", "cn.com.infosec.jce.provider.JCERSACipher$ISO9796d1Padding");
      var10223.put("Cipher.ECIES", "cn.com.infosec.jce.provider.JCEIESCipher$ECIES");
      var10222.put("Cipher.BrokenECIES", "cn.com.infosec.jce.provider.JCEIESCipher$BrokenECIES");
      var10221.put("Cipher.IES", "cn.com.infosec.jce.provider.JCEIESCipher$IES");
      var10220.put("Cipher.BrokenIES", "cn.com.infosec.jce.provider.JCEIESCipher$BrokenIES");
      var10219.put("Cipher.ELGAMAL", "cn.com.infosec.jce.provider.JCEElGamalCipher$NoPadding");
      var10218.put("Cipher.ELGAMAL/PKCS1", "cn.com.infosec.jce.provider.JCEElGamalCipher$PKCS1v1_5Padding");
      var10217.put("Alg.Alias.Cipher.RSA//RAW", "RSA");
      var10216.put("Alg.Alias.Cipher.RSA//NOPADDING", "RSA");
      var10215.put("Alg.Alias.Cipher.RSA//PKCS1PADDING", "RSA/PKCS1");
      var10214.put("Alg.Alias.Cipher.RSA//OAEPPADDING", "RSA/OAEP");
      var10213.put("Alg.Alias.Cipher.RSA//ISO9796-1PADDING", "RSA/ISO9796-1");
      var10212.put("Alg.Alias.Cipher.ELGAMAL/ECB/PKCS1PADDING", "ELGAMAL/PKCS1");
      var10211.put("Alg.Alias.Cipher.ELGAMAL/NONE/PKCS1PADDING", "ELGAMAL/PKCS1");
      var10210.put("Alg.Alias.Cipher.ELGAMAL/NONE/NOPADDING", "ELGAMAL");
      var10209.put("Cipher.PBEWITHMD5ANDDES", "cn.com.infosec.jce.provider.JCEBlockCipher$PBEWithMD5AndDES");
      var10208.put("Cipher.BROKENPBEWITHMD5ANDDES", "cn.com.infosec.jce.provider.BrokenJCEBlockCipher$BrokePBEWithMD5AndDES");
      var10207.put("Cipher.PBEWITHMD5ANDRC2", "cn.com.infosec.jce.provider.JCEBlockCipher$PBEWithMD5AndRC2");
      var10206.put("Cipher.PBEWITHSHA1ANDDES", "cn.com.infosec.jce.provider.JCEBlockCipher$PBEWithSHA1AndDES");
      var10205.put("Cipher.BROKENPBEWITHSHA1ANDDES", "cn.com.infosec.jce.provider.BrokenJCEBlockCipher$BrokePBEWithSHA1AndDES");
      var10204.put("Cipher.PBEWITHSHA1ANDRC2", "cn.com.infosec.jce.provider.JCEBlockCipher$PBEWithSHA1AndRC2");
      var10203.put("Cipher.PBEWITHSHAAND3-KEYTRIPLEDES-CBC", "cn.com.infosec.jce.provider.JCEBlockCipher$PBEWithSHAAndDES3Key");
      var10202.put("Cipher.BROKENPBEWITHSHAAND3-KEYTRIPLEDES-CBC", "cn.com.infosec.jce.provider.BrokenJCEBlockCipher$BrokePBEWithSHAAndDES3Key");
      var10201.put("Cipher.OLDPBEWITHSHAAND3-KEYTRIPLEDES-CBC", "cn.com.infosec.jce.provider.BrokenJCEBlockCipher$OldPBEWithSHAAndDES3Key");
      var10200.put("Cipher.PBEWITHSHAAND2-KEYTRIPLEDES-CBC", "cn.com.infosec.jce.provider.JCEBlockCipher$PBEWithSHAAndDES2Key");
      var10199.put("Cipher.BROKENPBEWITHSHAAND2-KEYTRIPLEDES-CBC", "cn.com.infosec.jce.provider.BrokenJCEBlockCipher$BrokePBEWithSHAAndDES2Key");
      var10198.put("Cipher.PBEWITHSHAAND128BITRC2-CBC", "cn.com.infosec.jce.provider.JCEBlockCipher$PBEWithSHAAnd128BitRC2");
      var10197.put("Cipher.PBEWITHSHAAND40BITRC2-CBC", "cn.com.infosec.jce.provider.JCEBlockCipher$PBEWithSHAAnd40BitRC2");
      var10196.put("Cipher.PBEWITHSHAAND128BITRC4", "cn.com.infosec.jce.provider.JCEStreamCipher$PBEWithSHAAnd128BitRC4");
      var10195.put("Cipher.PBEWITHSHAAND40BITRC4", "cn.com.infosec.jce.provider.JCEStreamCipher$PBEWithSHAAnd40BitRC4");
      var10194.put("Alg.Alias.Cipher.PBEWITHSHA1AND3-KEYTRIPLEDES-CBC", "Cipher.PBEWITHSHAAND3-KEYTRIPLEDES-CBC");
      var10193.put("Alg.Alias.Cipher.PBEWITHSHA1AND2-KEYTRIPLEDES-CBC", "Cipher.PBEWITHSHAAND2-KEYTRIPLEDES-CBC");
      var10192.put("Alg.Alias.Cipher.PBEWITHSHA1AND128BITRC2-CBC", "Cipher.PBEWITHSHAAND128BITRC2-CBC");
      var10191.put("Alg.Alias.Cipher.PBEWITHSHA1AND40BITRC2-CBC", "Cipher.PBEWITHSHAAND40BITRC2-CBC");
      var10190.put("Alg.Alias.Cipher.PBEWITHSHA1AND128BITRC4", "Cipher.PBEWITHSHAAND128BITRC4");
      var10189.put("Alg.Alias.Cipher.PBEWITHSHA1AND40BITRC4", "Cipher.PBEWITHSHAAND40BITRC4");
      var10188.put("Cipher.PBEWITHSHAAND128BITAES-CBC-BC", "cn.com.infosec.jce.provider.JCEBlockCipher$PBEWithAESCBC");
      var10187.put("Cipher.PBEWITHSHAAND192BITAES-CBC-BC", "cn.com.infosec.jce.provider.JCEBlockCipher$PBEWithAESCBC");
      var10186.put("Cipher.PBEWITHSHAAND256BITAES-CBC-BC", "cn.com.infosec.jce.provider.JCEBlockCipher$PBEWithAESCBC");
      var10185.put("Cipher.PBEWITHSHA256AND128BITAES-CBC-BC", "cn.com.infosec.jce.provider.JCEBlockCipher$PBEWithAESCBC");
      var10184.put("Cipher.PBEWITHSHA256AND192BITAES-CBC-BC", "cn.com.infosec.jce.provider.JCEBlockCipher$PBEWithAESCBC");
      var10183.put("Cipher.PBEWITHSHA256AND256BITAES-CBC-BC", "cn.com.infosec.jce.provider.JCEBlockCipher$PBEWithAESCBC");
      var10182.put("Alg.Alias.Cipher.PBEWITHSHA1AND128BITAES-CBC-BC", "PBEWITHSHAAND128BITAES-CBC-BC");
      var10181.put("Alg.Alias.Cipher.PBEWITHSHA1AND192BITAES-CBC-BC", "PBEWITHSHAAND192BITAES-CBC-BC");
      var10180.put("Alg.Alias.Cipher.PBEWITHSHA1AND256BITAES-CBC-BC", "PBEWITHSHAAND256BITAES-CBC-BC");
      var10179.put("Alg.Alias.Cipher.PBEWITHSHA-1AND128BITAES-CBC-BC", "PBEWITHSHAAND128BITAES-CBC-BC");
      var10178.put("Alg.Alias.Cipher.PBEWITHSHA-1AND192BITAES-CBC-BC", "PBEWITHSHAAND192BITAES-CBC-BC");
      var10177.put("Alg.Alias.Cipher.PBEWITHSHA-1AND256BITAES-CBC-BC", "PBEWITHSHAAND256BITAES-CBC-BC");
      var10176.put("Alg.Alias.Cipher.PBEWITHSHA-256AND128BITAES-CBC-BC", "PBEWITHSHA256AND128BITAES-CBC-BC");
      var10175.put("Alg.Alias.Cipher.PBEWITHSHA-256AND192BITAES-CBC-BC", "PBEWITHSHA256AND192BITAES-CBC-BC");
      var10174.put("Alg.Alias.Cipher.PBEWITHSHA-256AND256BITAES-CBC-BC", "PBEWITHSHA256AND256BITAES-CBC-BC");
      var10173.put("Cipher.PBEWITHMD5AND128BITAES-CBC-OPENSSL", "cn.com.infosec.jce.provider.JCEBlockCipher$PBEWithAESCBC");
      var10172.put("Cipher.PBEWITHMD5AND192BITAES-CBC-OPENSSL", "cn.com.infosec.jce.provider.JCEBlockCipher$PBEWithAESCBC");
      var10171.put("Cipher.PBEWITHMD5AND256BITAES-CBC-OPENSSL", "cn.com.infosec.jce.provider.JCEBlockCipher$PBEWithAESCBC");
      var10170.put("Cipher.PBEWITHSHAANDTWOFISH-CBC", "cn.com.infosec.jce.provider.JCEBlockCipher$PBEWithSHAAndTwofish");
      var10169.put("Cipher.OLDPBEWITHSHAANDTWOFISH-CBC", "cn.com.infosec.jce.provider.BrokenJCEBlockCipher$OldPBEWithSHAAndTwofish");
      var10168.put("Cipher.PBEWITHSHAANDIDEA-CBC", "cn.com.infosec.jce.provider.JCEBlockCipher$PBEWithSHAAndIDEA");
      var10167.put("Alg.Alias.Cipher.1.2.840.113549.1.12.1.1", "PBEWITHSHAAND128BITRC4");
      var10166.put("Alg.Alias.Cipher.1.2.840.113549.1.12.1.2", "PBEWITHSHAAND40BITRC4");
      var10165.put("Alg.Alias.Cipher.1.2.840.113549.1.12.1.3", "PBEWITHSHAAND3-KEYTRIPLEDES-CBC");
      var10164.put("Alg.Alias.Cipher.1.2.840.113549.1.12.1.4", "PBEWITHSHAAND2-KEYTRIPLEDES-CBC");
      var10163.put("Alg.Alias.Cipher.1.2.840.113549.1.12.1.5", "PBEWITHSHAAND128BITRC2-CBC");
      var10162.put("Alg.Alias.Cipher.1.2.840.113549.1.12.1.6", "PBEWITHSHAAND40BITRC2-CBC");
      var10161.put("Alg.Alias.Cipher.PBEWITHSHA1ANDDESEDE", "PBEWITHSHAAND3-KEYTRIPLEDES-CBC");
      var10160.put("KeyGenerator.DES", "cn.com.infosec.jce.provider.JCEKeyGenerator$DES");
      var10159.put("Alg.Alias.KeyGenerator.1.3.14.3.2.7", "DES");
      var10158.put("KeyGenerator.DESEDE", "cn.com.infosec.jce.provider.JCEKeyGenerator$DESede");
      var10157.put("KeyGenerator.1.2.840.113549.3.7", "cn.com.infosec.jce.provider.JCEKeyGenerator$DESede3");
      var10156.put("KeyGenerator.DESEDEWRAP", "cn.com.infosec.jce.provider.JCEKeyGenerator$DESede");
      var10155.put("KeyGenerator.SKIPJACK", "cn.com.infosec.jce.provider.JCEKeyGenerator$Skipjack");
      var10154.put("KeyGenerator.BLOWFISH", "cn.com.infosec.jce.provider.JCEKeyGenerator$Blowfish");
      var10153.put("KeyGenerator.TWOFISH", "cn.com.infosec.jce.provider.JCEKeyGenerator$Twofish");
      var10152.put("KeyGenerator.RC2", "cn.com.infosec.jce.provider.JCEKeyGenerator$RC2");
      var10151.put("KeyGenerator.1.2.840.113549.3.2", "cn.com.infosec.jce.provider.JCEKeyGenerator$RC2");
      var10150.put("KeyGenerator.RC4", "cn.com.infosec.jce.provider.JCEKeyGenerator$RC4");
      var10149.put("Alg.Alias.KeyGenerator.ARC4", "RC4");
      var10148.put("Alg.Alias.KeyGenerator.1.2.840.113549.3.4", "RC4");
      var10147.put("KeyGenerator.RC5", "cn.com.infosec.jce.provider.JCEKeyGenerator$RC5");
      var10146.put("Alg.Alias.KeyGenerator.RC5-32", "RC5");
      var10145.put("KeyGenerator.RC5-64", "cn.com.infosec.jce.provider.JCEKeyGenerator$RC564");
      var10144.put("KeyGenerator.RC6", "cn.com.infosec.jce.provider.JCEKeyGenerator$RC6");
      var10143.put("KeyGenerator.RIJNDAEL", "cn.com.infosec.jce.provider.JCEKeyGenerator$Rijndael");
      var10142.put("KeyGenerator.SERPENT", "cn.com.infosec.jce.provider.JCEKeyGenerator$Serpent");
      var10141.put("KeyGenerator.SALSA20", "cn.com.infosec.jce.provider.JCEKeyGenerator$Salsa20");
      var10140.put("KeyGenerator.HC128", "cn.com.infosec.jce.provider.JCEKeyGenerator$HC128");
      var10139.put("KeyGenerator.HC256", "cn.com.infosec.jce.provider.JCEKeyGenerator$HC256");
      var10138.put("KeyGenerator.VMPC", "cn.com.infosec.jce.provider.JCEKeyGenerator$VMPC");
      var10137.put("KeyGenerator.VMPC-KSA3", "cn.com.infosec.jce.provider.JCEKeyGenerator$VMPCKSA3");
      var10136.put("KeyGenerator.CAST6", "cn.com.infosec.jce.provider.JCEKeyGenerator$CAST6");
      var10135.put("KeyGenerator.IDEA", "cn.com.infosec.jce.provider.JCEKeyGenerator$IDEA");
      var10134.put("KeyGenerator.1.3.6.1.4.1.188.7.1.1.2", "cn.com.infosec.jce.provider.JCEKeyGenerator$IDEA");
      var10133.put("KeyGenerator.TEA", "cn.com.infosec.jce.provider.JCEKeyGenerator$TEA");
      var10132.put("KeyGenerator.XTEA", "cn.com.infosec.jce.provider.JCEKeyGenerator$XTEA");
      var10131.put("KeyGenerator.GOST28147", "cn.com.infosec.jce.provider.JCEKeyGenerator$GOST28147");
      var10130.put("Alg.Alias.KeyGenerator.GOST", "GOST28147");
      var10129.put("Alg.Alias.KeyGenerator.GOST-28147", "GOST28147");
      var10128.put("Alg.Alias.KeyGenerator." + var1, "GOST28147");
      var10127.put("KeyPairGenerator.RSA", "cn.com.infosec.jce.provider.JDKKeyPairGenerator$RSA");
      var10126.put("KeyPairGenerator.DH", "cn.com.infosec.jce.provider.JDKKeyPairGenerator$DH");
      var10125.put("KeyPairGenerator.DSA", "cn.com.infosec.jce.provider.JDKKeyPairGenerator$DSA");
      var10124.put("KeyPairGenerator.ELGAMAL", "cn.com.infosec.jce.provider.JDKKeyPairGenerator$ElGamal");
      var10123.put("KeyPairGenerator.EC", "cn.com.infosec.jce.provider.JDKKeyPairGenerator$EC");
      var10122.put("KeyPairGenerator.ECDSA", "cn.com.infosec.jce.provider.JDKKeyPairGenerator$ECDSA");
      var10121.put("KeyPairGenerator.ECDH", "cn.com.infosec.jce.provider.JDKKeyPairGenerator$ECDH");
      var10120.put("KeyPairGenerator.ECDHC", "cn.com.infosec.jce.provider.JDKKeyPairGenerator$ECDHC");
      var10119.put("KeyPairGenerator.ECIES", "cn.com.infosec.jce.provider.JDKKeyPairGenerator$ECDH");
      var10118.put("Alg.Alias.KeyPairGenerator.1.2.840.113549.1.1.1", "RSA");
      var10117.put("KeyPairGenerator.GOST3410", "cn.com.infosec.jce.provider.JDKKeyPairGenerator$GOST3410");
      var10116.put("Alg.Alias.KeyPairGenerator.GOST-3410", "GOST3410");
      var10115.put("Alg.Alias.KeyPairGenerator.GOST-3410-94", "GOST3410");
      var10114.put("KeyPairGenerator.ECGOST3410", "cn.com.infosec.jce.provider.JDKKeyPairGenerator$ECGOST3410");
      var10113.put("Alg.Alias.KeyPairGenerator.ECGOST-3410", "ECGOST3410");
      var10112.put("Alg.Alias.KeyPairGenerator.GOST-3410-2001", "ECGOST3410");
      var10111.put("KeyFactory.RSA", "cn.com.infosec.jce.provider.JDKKeyFactory$RSA");
      var10110.put("KeyFactory.DH", "cn.com.infosec.jce.provider.JDKKeyFactory$DH");
      var10109.put("KeyFactory.DSA", "cn.com.infosec.jce.provider.JDKKeyFactory$DSA");
      var10108.put("KeyFactory.ELGAMAL", "cn.com.infosec.jce.provider.JDKKeyFactory$ElGamal");
      var10107.put("KeyFactory.ElGamal", "cn.com.infosec.jce.provider.JDKKeyFactory$ElGamal");
      var10106.put("KeyFactory.EC", "cn.com.infosec.jce.provider.JDKKeyFactory$EC");
      var10105.put("KeyFactory.ECDSA", "cn.com.infosec.jce.provider.JDKKeyFactory$ECDSA");
      var10104.put("KeyFactory.ECDH", "cn.com.infosec.jce.provider.JDKKeyFactory$ECDH");
      var10103.put("KeyFactory.ECDHC", "cn.com.infosec.jce.provider.JDKKeyFactory$ECDHC");
      var10102.put("KeyFactory.X.509", "cn.com.infosec.jce.provider.JDKKeyFactory$X509");
      var10101.put("Alg.Alias.KeyFactory.1.2.840.113549.1.1.1", "RSA");
      var10100.put("Alg.Alias.KeyFactory.1.2.840.10040.4.1", "DSA");
      var10099.put("Alg.Alias.KeyFactory." + X9ObjectIdentifiers.id_ecPublicKey, "EC");
      var10098.put("Alg.Alias.KeyFactory." + var3, "EC");
      var10097.put("KeyFactory.GOST3410", "cn.com.infosec.jce.provider.JDKKeyFactory$GOST3410");
      var10096.put("Alg.Alias.KeyFactory.GOST-3410", "GOST3410");
      var10095.put("Alg.Alias.KeyFactory.GOST-3410-94", "GOST3410");
      var10094.put("Alg.Alias.KeyFactory." + CryptoProObjectIdentifiers.gostR3410_94, "GOST3410");
      var10093.put("KeyFactory.ECGOST3410", "cn.com.infosec.jce.provider.JDKKeyFactory$ECGOST3410");
      var10092.put("Alg.Alias.KeyFactory.GOST-3410-2001", "ECGOST3410");
      var10091.put("Alg.Alias.KeyFactory.ECGOST-3410", "ECGOST3410");
      var10090.put("Alg.Alias.KeyFactory." + CryptoProObjectIdentifiers.gostR3410_2001, "ECGOST3410");
      var10089.put("AlgorithmParameters.DES", "cn.com.infosec.jce.provider.JDKAlgorithmParameters$IVAlgorithmParameters");
      var10088.put("Alg.Alias.AlgorithmParameters.1.3.14.3.2.7", "DES");
      var10087.put("AlgorithmParameters.DESEDE", "cn.com.infosec.jce.provider.JDKAlgorithmParameters$IVAlgorithmParameters");
      var10086.put("AlgorithmParameters.1.2.840.113549.3.7", "cn.com.infosec.jce.provider.JDKAlgorithmParameters$IVAlgorithmParameters");
      var10085.put("AlgorithmParameters.RC2", "cn.com.infosec.jce.provider.JDKAlgorithmParameters$RC2AlgorithmParameters");
      var10084.put("AlgorithmParameters.1.2.840.113549.3.2", "cn.com.infosec.jce.provider.JDKAlgorithmParameters$RC2AlgorithmParameters");
      var10083.put("AlgorithmParameters.RC5", "cn.com.infosec.jce.provider.JDKAlgorithmParameters$IVAlgorithmParameters");
      var10082.put("AlgorithmParameters.RC6", "cn.com.infosec.jce.provider.JDKAlgorithmParameters$IVAlgorithmParameters");
      var10081.put("AlgorithmParameters.BLOWFISH", "cn.com.infosec.jce.provider.JDKAlgorithmParameters$IVAlgorithmParameters");
      var10080.put("AlgorithmParameters.TWOFISH", "cn.com.infosec.jce.provider.JDKAlgorithmParameters$IVAlgorithmParameters");
      var10079.put("AlgorithmParameters.SKIPJACK", "cn.com.infosec.jce.provider.JDKAlgorithmParameters$IVAlgorithmParameters");
      var10078.put("AlgorithmParameters.RIJNDAEL", "cn.com.infosec.jce.provider.JDKAlgorithmParameters$IVAlgorithmParameters");
      var10077.put("SecretKeyFactory.DES", "cn.com.infosec.jce.provider.JCESecretKeyFactory$DES");
      var10076.put("SecretKeyFactory.DESEDE", "cn.com.infosec.jce.provider.JCESecretKeyFactory$DESede");
      var10075.put("SecretKeyFactory.PBEWITHMD2ANDDES", "cn.com.infosec.jce.provider.JCESecretKeyFactory$PBEWithMD2AndDES");
      var10074.put("SecretKeyFactory.PBEWITHMD2ANDRC2", "cn.com.infosec.jce.provider.JCESecretKeyFactory$PBEWithMD2AndRC2");
      var10073.put("SecretKeyFactory.PBEWITHMD5ANDDES", "cn.com.infosec.jce.provider.JCESecretKeyFactory$PBEWithMD5AndDES");
      var10072.put("SecretKeyFactory.PBEWITHMD5ANDRC2", "cn.com.infosec.jce.provider.JCESecretKeyFactory$PBEWithMD5AndRC2");
      var10071.put("SecretKeyFactory.PBEWITHSHA1ANDDES", "cn.com.infosec.jce.provider.JCESecretKeyFactory$PBEWithSHA1AndDES");
      var10070.put("SecretKeyFactory.PBEWITHSHA1ANDRC2", "cn.com.infosec.jce.provider.JCESecretKeyFactory$PBEWithSHA1AndRC2");
      var10069.put("SecretKeyFactory.PBEWITHSHAAND3-KEYTRIPLEDES-CBC", "cn.com.infosec.jce.provider.JCESecretKeyFactory$PBEWithSHAAndDES3Key");
      var10068.put("SecretKeyFactory.PBEWITHSHAAND2-KEYTRIPLEDES-CBC", "cn.com.infosec.jce.provider.JCESecretKeyFactory$PBEWithSHAAndDES2Key");
      var10067.put("SecretKeyFactory.PBEWITHSHAAND128BITRC4", "cn.com.infosec.jce.provider.JCESecretKeyFactory$PBEWithSHAAnd128BitRC4");
      var10066.put("SecretKeyFactory.PBEWITHSHAAND40BITRC4", "cn.com.infosec.jce.provider.JCESecretKeyFactory$PBEWithSHAAnd40BitRC4");
      var10065.put("SecretKeyFactory.PBEWITHSHAAND128BITRC2-CBC", "cn.com.infosec.jce.provider.JCESecretKeyFactory$PBEWithSHAAnd128BitRC2");
      var10064.put("SecretKeyFactory.PBEWITHSHAAND40BITRC2-CBC", "cn.com.infosec.jce.provider.JCESecretKeyFactory$PBEWithSHAAnd40BitRC2");
      var10063.put("SecretKeyFactory.PBEWITHSHAANDTWOFISH-CBC", "cn.com.infosec.jce.provider.JCESecretKeyFactory$PBEWithSHAAndTwofish");
      var10062.put("SecretKeyFactory.PBEWITHSHAANDIDEA-CBC", "cn.com.infosec.jce.provider.JCESecretKeyFactory$PBEWithSHAAndIDEA");
      var10061.put("SecretKeyFactory.PBEWITHHMACRIPEMD160", "cn.com.infosec.jce.provider.JCESecretKeyFactory$PBEWithRIPEMD160");
      var10060.put("SecretKeyFactory.PBEWITHHMACSHA1", "cn.com.infosec.jce.provider.JCESecretKeyFactory$PBEWithSHA");
      var10059.put("SecretKeyFactory.PBEWITHHMACTIGER", "cn.com.infosec.jce.provider.JCESecretKeyFactory$PBEWithTiger");
      var10058.put("SecretKeyFactory.PBEWITHMD5AND128BITAES-CBC-OPENSSL", "cn.com.infosec.jce.provider.JCESecretKeyFactory$PBEWithMD5And128BitAESCBCOpenSSL");
      var10057.put("SecretKeyFactory.PBEWITHMD5AND192BITAES-CBC-OPENSSL", "cn.com.infosec.jce.provider.JCESecretKeyFactory$PBEWithMD5And192BitAESCBCOpenSSL");
      var10056.put("SecretKeyFactory.PBEWITHMD5AND256BITAES-CBC-OPENSSL", "cn.com.infosec.jce.provider.JCESecretKeyFactory$PBEWithMD5And256BitAESCBCOpenSSL");
      var10055.put("Alg.Alias.SecretKeyFactory.PBE", "PBE/PKCS5");
      var10054.put("Alg.Alias.SecretKeyFactory.BROKENPBEWITHMD5ANDDES", "PBE/PKCS5");
      var10053.put("Alg.Alias.SecretKeyFactory.BROKENPBEWITHSHA1ANDDES", "PBE/PKCS5");
      var10052.put("Alg.Alias.SecretKeyFactory.OLDPBEWITHSHAAND3-KEYTRIPLEDES-CBC", "PBE/PKCS12");
      var10051.put("Alg.Alias.SecretKeyFactory.BROKENPBEWITHSHAAND3-KEYTRIPLEDES-CBC", "PBE/PKCS12");
      var10050.put("Alg.Alias.SecretKeyFactory.BROKENPBEWITHSHAAND2-KEYTRIPLEDES-CBC", "PBE/PKCS12");
      var10049.put("Alg.Alias.SecretKeyFactory.OLDPBEWITHSHAANDTWOFISH-CBC", "PBE/PKCS12");
      var10048.put("Alg.Alias.SecretKeyFactory.PBEWITHMD2ANDDES-CBC", "PBEWITHMD2ANDDES");
      var10047.put("Alg.Alias.SecretKeyFactory.PBEWITHMD2ANDRC2-CBC", "PBEWITHMD2ANDRC2");
      var10046.put("Alg.Alias.SecretKeyFactory.PBEWITHMD5ANDDES-CBC", "PBEWITHMD5ANDDES");
      var10045.put("Alg.Alias.SecretKeyFactory.PBEWITHMD5ANDRC2-CBC", "PBEWITHMD5ANDRC2");
      var10044.put("Alg.Alias.SecretKeyFactory.PBEWITHSHA1ANDDES-CBC", "PBEWITHSHA1ANDDES");
      var10043.put("Alg.Alias.SecretKeyFactory.PBEWITHSHA1ANDRC2-CBC", "PBEWITHSHA1ANDRC2");
      var10042.put("Alg.Alias.SecretKeyFactory." + PKCSObjectIdentifiers.pbeWithMD2AndDES_CBC, "PBEWITHMD2ANDDES");
      var10041.put("Alg.Alias.SecretKeyFactory." + PKCSObjectIdentifiers.pbeWithMD2AndRC2_CBC, "PBEWITHMD2ANDRC2");
      var10040.put("Alg.Alias.SecretKeyFactory." + PKCSObjectIdentifiers.pbeWithMD5AndDES_CBC, "PBEWITHMD5ANDDES");
      var10039.put("Alg.Alias.SecretKeyFactory." + PKCSObjectIdentifiers.pbeWithMD5AndRC2_CBC, "PBEWITHMD5ANDRC2");
      var10038.put("Alg.Alias.SecretKeyFactory." + PKCSObjectIdentifiers.pbeWithSHA1AndDES_CBC, "PBEWITHSHA1ANDDES");
      var10037.put("Alg.Alias.SecretKeyFactory." + PKCSObjectIdentifiers.pbeWithSHA1AndRC2_CBC, "PBEWITHSHA1ANDRC2");
      var10036.put("Alg.Alias.SecretKeyFactory.1.2.840.113549.1.12.1.1", "PBEWITHSHAAND128BITRC4");
      var10035.put("Alg.Alias.SecretKeyFactory.1.2.840.113549.1.12.1.2", "PBEWITHSHAAND40BITRC4");
      var10034.put("Alg.Alias.SecretKeyFactory.1.2.840.113549.1.12.1.3", "PBEWITHSHAAND3-KEYTRIPLEDES-CBC");
      var10033.put("Alg.Alias.SecretKeyFactory.1.2.840.113549.1.12.1.4", "PBEWITHSHAAND2-KEYTRIPLEDES-CBC");
      var10032.put("Alg.Alias.SecretKeyFactory.1.2.840.113549.1.12.1.5", "PBEWITHSHAAND128BITRC2-CBC");
      var10031.put("Alg.Alias.SecretKeyFactory.1.2.840.113549.1.12.1.6", "PBEWITHSHAAND40BITRC2-CBC");
      var10030.put("Alg.Alias.SecretKeyFactory.PBEWITHHMACSHA", "PBEWITHHMACSHA1");
      var10029.put("Alg.Alias.SecretKeyFactory.1.3.14.3.2.26", "PBEWITHHMACSHA1");
      var10028.put("Alg.Alias.SecretKeyFactory.PBEWithSHAAnd3KeyTripleDES", "PBEWITHSHAAND3-KEYTRIPLEDES-CBC");
      var10027.put("SecretKeyFactory.PBEWITHSHAAND128BITAES-CBC-BC", "cn.com.infosec.jce.provider.JCESecretKeyFactory$PBEWithSHAAnd128BitAESBC");
      var10026.put("SecretKeyFactory.PBEWITHSHAAND192BITAES-CBC-BC", "cn.com.infosec.jce.provider.JCESecretKeyFactory$PBEWithSHAAnd192BitAESBC");
      var10025.put("SecretKeyFactory.PBEWITHSHAAND256BITAES-CBC-BC", "cn.com.infosec.jce.provider.JCESecretKeyFactory$PBEWithSHAAnd256BitAESBC");
      var10024.put("SecretKeyFactory.PBEWITHSHA256AND128BITAES-CBC-BC", "cn.com.infosec.jce.provider.JCESecretKeyFactory$PBEWithSHA256And128BitAESBC");
      var10023.put("SecretKeyFactory.PBEWITHSHA256AND192BITAES-CBC-BC", "cn.com.infosec.jce.provider.JCESecretKeyFactory$PBEWithSHA256And192BitAESBC");
      var10022.put("SecretKeyFactory.PBEWITHSHA256AND256BITAES-CBC-BC", "cn.com.infosec.jce.provider.JCESecretKeyFactory$PBEWithSHA256And256BitAESBC");
      var10021.put("Alg.Alias.SecretKeyFactory.PBEWITHSHA1AND128BITAES-CBC-BC", "PBEWITHSHAAND128BITAES-CBC-BC");
      var10020.put("Alg.Alias.SecretKeyFactory.PBEWITHSHA1AND192BITAES-CBC-BC", "PBEWITHSHAAND192BITAES-CBC-BC");
      var10019.put("Alg.Alias.SecretKeyFactory.PBEWITHSHA1AND256BITAES-CBC-BC", "PBEWITHSHAAND256BITAES-CBC-BC");
      var10018.put("Alg.Alias.SecretKeyFactory.PBEWITHSHA-1AND128BITAES-CBC-BC", "PBEWITHSHAAND128BITAES-CBC-BC");
      var10017.put("Alg.Alias.SecretKeyFactory.PBEWITHSHA-1AND192BITAES-CBC-BC", "PBEWITHSHAAND192BITAES-CBC-BC");
      var10016.put("Alg.Alias.SecretKeyFactory.PBEWITHSHA-1AND256BITAES-CBC-BC", "PBEWITHSHAAND256BITAES-CBC-BC");
      var10015.put("Alg.Alias.SecretKeyFactory.PBEWITHSHA-256AND128BITAES-CBC-BC", "PBEWITHSHA256AND128BITAES-CBC-BC");
      var10014.put("Alg.Alias.SecretKeyFactory.PBEWITHSHA-256AND192BITAES-CBC-BC", "PBEWITHSHA256AND192BITAES-CBC-BC");
      var10013.put("Alg.Alias.SecretKeyFactory.PBEWITHSHA-256AND256BITAES-CBC-BC", "PBEWITHSHA256AND256BITAES-CBC-BC");
      var10012.addMacAlgorithms();
      var10011.addMessageDigestAlgorithms();
      var10010.addSignatureAlgorithms();
      var10009.put("CertPathValidator.RFC3281", "cn.com.infosec.jce.provider.PKIXAttrCertPathValidatorSpi");
      var10008.put("CertPathBuilder.RFC3281", "cn.com.infosec.jce.provider.PKIXAttrCertPathBuilderSpi");
      var10007.put("CertPathValidator.RFC3280", "cn.com.infosec.jce.provider.PKIXCertPathValidatorSpi");
      var10006.put("CertPathBuilder.RFC3280", "cn.com.infosec.jce.provider.PKIXCertPathBuilderSpi");
      var10005.put("CertPathValidator.PKIX", "cn.com.infosec.jce.provider.PKIXCertPathValidatorSpi");
      var10004.put("CertPathBuilder.PKIX", "cn.com.infosec.jce.provider.PKIXCertPathBuilderSpi");
      var10003.put("CertStore.Collection", "cn.com.infosec.jce.provider.CertStoreCollectionSpi");
      var10002.put("CertStore.LDAP", "cn.com.infosec.jce.provider.X509LDAPCertStoreSpi");
      var10001.put("CertStore.Multi", "cn.com.infosec.jce.provider.MultiCertStoreSpi");
      var10000.put("Alg.Alias.CertStore.X509LDAP", "LDAP");
   }

   private void addMappings(Map mappings) {
      Iterator var2 = mappings.keySet().iterator();

      while(var2.hasNext()) {
         Object var3;
         if (this.containsKey(var3 = var2.next())) {
            throw new IllegalStateException("duplicate provider key (" + var3 + ") found in " + mappings.getClass().getName());
         }

         this.put(var3, mappings.get(var3));
      }

   }

   private void addMacAlgorithms() {
      this.put("Mac.DESMAC", "cn.com.infosec.jce.provider.JCEMac$DES");
      this.put("Alg.Alias.Mac.DES", "DESMAC");
      this.put("Mac.DESMAC/CFB8", "cn.com.infosec.jce.provider.JCEMac$DESCFB8");
      this.put("Alg.Alias.Mac.DES/CFB8", "DESMAC/CFB8");
      this.put("Mac.DESEDEMAC", "cn.com.infosec.jce.provider.JCEMac$DESede");
      this.put("Alg.Alias.Mac.DESEDE", "DESEDEMAC");
      this.put("Mac.DESEDEMAC/CFB8", "cn.com.infosec.jce.provider.JCEMac$DESedeCFB8");
      this.put("Alg.Alias.Mac.DESEDE/CFB8", "DESEDEMAC/CFB8");
      this.put("Mac.DESWITHISO9797", "cn.com.infosec.jce.provider.JCEMac$DES9797Alg3");
      this.put("Alg.Alias.Mac.DESISO9797MAC", "DESWITHISO9797");
      this.put("Mac.DESEDEMAC64", "cn.com.infosec.jce.provider.JCEMac$DESede64");
      this.put("Alg.Alias.Mac.DESEDE64", "DESEDEMAC64");
      this.put("Mac.DESEDEMAC64WITHISO7816-4PADDING", "cn.com.infosec.jce.provider.JCEMac$DESede64with7816d4");
      this.put("Alg.Alias.Mac.DESEDE64WITHISO7816-4PADDING", "DESEDEMAC64WITHISO7816-4PADDING");
      this.put("Alg.Alias.Mac.DESEDEISO9797ALG1MACWITHISO7816-4PADDING", "DESEDEMAC64WITHISO7816-4PADDING");
      this.put("Alg.Alias.Mac.DESEDEISO9797ALG1WITHISO7816-4PADDING", "DESEDEMAC64WITHISO7816-4PADDING");
      this.put("Mac.ISO9797ALG3MAC", "cn.com.infosec.jce.provider.JCEMac$DES9797Alg3");
      this.put("Alg.Alias.Mac.ISO9797ALG3", "ISO9797ALG3MAC");
      this.put("Mac.ISO9797ALG3WITHISO7816-4PADDING", "cn.com.infosec.jce.provider.JCEMac$DES9797Alg3with7816d4");
      this.put("Alg.Alias.Mac.ISO9797ALG3MACWITHISO7816-4PADDING", "ISO9797ALG3WITHISO7816-4PADDING");
      this.put("Mac.SKIPJACKMAC", "cn.com.infosec.jce.provider.JCEMac$Skipjack");
      this.put("Alg.Alias.Mac.SKIPJACK", "SKIPJACKMAC");
      this.put("Mac.SKIPJACKMAC/CFB8", "cn.com.infosec.jce.provider.JCEMac$SkipjackCFB8");
      this.put("Alg.Alias.Mac.SKIPJACK/CFB8", "SKIPJACKMAC/CFB8");
      this.put("Mac.IDEAMAC", "cn.com.infosec.jce.provider.JCEMac$IDEA");
      this.put("Alg.Alias.Mac.IDEA", "IDEAMAC");
      this.put("Mac.IDEAMAC/CFB8", "cn.com.infosec.jce.provider.JCEMac$IDEACFB8");
      this.put("Alg.Alias.Mac.IDEA/CFB8", "IDEAMAC/CFB8");
      this.put("Mac.RC2MAC", "cn.com.infosec.jce.provider.JCEMac$RC2");
      this.put("Alg.Alias.Mac.RC2", "RC2MAC");
      this.put("Mac.RC2MAC/CFB8", "cn.com.infosec.jce.provider.JCEMac$RC2CFB8");
      this.put("Alg.Alias.Mac.RC2/CFB8", "RC2MAC/CFB8");
      this.put("Mac.RC5MAC", "cn.com.infosec.jce.provider.JCEMac$RC5");
      this.put("Alg.Alias.Mac.RC5", "RC5MAC");
      this.put("Mac.RC5MAC/CFB8", "cn.com.infosec.jce.provider.JCEMac$RC5CFB8");
      this.put("Alg.Alias.Mac.RC5/CFB8", "RC5MAC/CFB8");
      this.put("Mac.GOST28147MAC", "cn.com.infosec.jce.provider.JCEMac$GOST28147");
      this.put("Alg.Alias.Mac.GOST28147", "GOST28147MAC");
      this.put("Mac.VMPCMAC", "cn.com.infosec.jce.provider.JCEMac$VMPC");
      this.put("Alg.Alias.Mac.VMPC", "VMPCMAC");
      this.put("Alg.Alias.Mac.VMPC-MAC", "VMPCMAC");
      this.put("Mac.OLDHMACSHA384", "cn.com.infosec.jce.provider.JCEMac$OldSHA384");
      this.put("Mac.OLDHMACSHA512", "cn.com.infosec.jce.provider.JCEMac$OldSHA512");
      this.addHMACAlgorithm("MD2", "cn.com.infosec.jce.provider.JCEMac$MD2", "cn.com.infosec.jce.provider.JCEKeyGenerator$MD2HMAC");
      this.addHMACAlgorithm("MD4", "cn.com.infosec.jce.provider.JCEMac$MD4", "cn.com.infosec.jce.provider.JCEKeyGenerator$MD4HMAC");
      this.addHMACAlgorithm("MD5", "cn.com.infosec.jce.provider.JCEMac$MD5", "cn.com.infosec.jce.provider.JCEKeyGenerator$MD5HMAC");
      this.addHMACAlias("MD5", IANAObjectIdentifiers.hmacMD5);
      this.addHMACAlgorithm("SHA1", "cn.com.infosec.jce.provider.JCEMac$SHA1", "cn.com.infosec.jce.provider.JCEKeyGenerator$HMACSHA1");
      this.addHMACAlias("SHA1", PKCSObjectIdentifiers.id_hmacWithSHA1);
      this.addHMACAlias("SHA1", IANAObjectIdentifiers.hmacSHA1);
      this.addHMACAlgorithm("SHA224", "cn.com.infosec.jce.provider.JCEMac$SHA224", "cn.com.infosec.jce.provider.JCEKeyGenerator$HMACSHA224");
      this.addHMACAlias("SHA224", PKCSObjectIdentifiers.id_hmacWithSHA224);
      this.addHMACAlgorithm("SHA256", "cn.com.infosec.jce.provider.JCEMac$SHA256", "cn.com.infosec.jce.provider.JCEKeyGenerator$HMACSHA256");
      this.addHMACAlias("SHA256", PKCSObjectIdentifiers.id_hmacWithSHA256);
      this.addHMACAlgorithm("SHA384", "cn.com.infosec.jce.provider.JCEMac$SHA384", "cn.com.infosec.jce.provider.JCEKeyGenerator$HMACSHA384");
      this.addHMACAlias("SHA384", PKCSObjectIdentifiers.id_hmacWithSHA384);
      this.addHMACAlgorithm("SHA512", "cn.com.infosec.jce.provider.JCEMac$SHA512", "cn.com.infosec.jce.provider.JCEKeyGenerator$HMACSHA512");
      this.addHMACAlias("SHA512", PKCSObjectIdentifiers.id_hmacWithSHA512);
      this.addHMACAlgorithm("RIPEMD128", "cn.com.infosec.jce.provider.JCEMac$RIPEMD128", "cn.com.infosec.jce.provider.JCEKeyGenerator$RIPEMD128HMAC");
      this.addHMACAlgorithm("RIPEMD160", "cn.com.infosec.jce.provider.JCEMac$RIPEMD160", "cn.com.infosec.jce.provider.JCEKeyGenerator$RIPEMD160HMAC");
      this.addHMACAlias("RIPEMD160", IANAObjectIdentifiers.hmacRIPEMD160);
      this.addHMACAlgorithm("TIGER", "cn.com.infosec.jce.provider.JCEMac$Tiger", "cn.com.infosec.jce.provider.JCEKeyGenerator$HMACTIGER");
      this.addHMACAlias("TIGER", IANAObjectIdentifiers.hmacTIGER);
      this.put("Mac.PBEWITHHMACSHA", "cn.com.infosec.jce.provider.JCEMac$PBEWithSHA");
      this.put("Mac.PBEWITHHMACSHA1", "cn.com.infosec.jce.provider.JCEMac$PBEWithSHA");
      this.put("Mac.PBEWITHHMACRIPEMD160", "cn.com.infosec.jce.provider.JCEMac$PBEWithRIPEMD160");
      this.put("Alg.Alias.Mac.1.3.14.3.2.26", "PBEWITHHMACSHA");
   }

   private void addHMACAlgorithm(String algorithm, String algorithmClassName, String keyGeneratorClassName) {
      InfosecProvider var10000 = this;
      InfosecProvider var10001 = this;
      InfosecProvider var10002 = this;
      InfosecProvider var10003 = this;
      InfosecProvider var10004 = this;
      InfosecProvider var10005 = this;
      String var4 = "HMAC" + algorithm;
      var10005.put("Mac." + var4, algorithmClassName);
      var10004.put("Alg.Alias.Mac.HMAC-" + algorithm, var4);
      var10003.put("Alg.Alias.Mac.HMAC/" + algorithm, var4);
      var10002.put("KeyGenerator." + var4, keyGeneratorClassName);
      var10001.put("Alg.Alias.KeyGenerator.HMAC-" + algorithm, var4);
      var10000.put("Alg.Alias.KeyGenerator.HMAC/" + algorithm, var4);
   }

   private void addHMACAlias(String algorithm, DERObjectIdentifier oid) {
      InfosecProvider var10000 = this;
      InfosecProvider var10001 = this;
      String var3 = "HMAC" + algorithm;
      var10001.put("Alg.Alias.Mac." + oid, var3);
      var10000.put("Alg.Alias.KeyGenerator." + oid, var3);
   }

   private void addMessageDigestAlgorithms() {
      this.put("MessageDigest.SHA-1", "cn.com.infosec.jce.provider.JDKMessageDigest$SHA1");
      this.put("Alg.Alias.MessageDigest.SHA1", "SHA-1");
      this.put("Alg.Alias.MessageDigest.SHA", "SHA-1");
      this.put("Alg.Alias.MessageDigest." + OIWObjectIdentifiers.idSHA1, "SHA-1");
      this.put("MessageDigest.SHA-224", "cn.com.infosec.jce.provider.JDKMessageDigest$SHA224");
      this.put("Alg.Alias.MessageDigest.SHA224", "SHA-224");
      this.put("Alg.Alias.MessageDigest." + NISTObjectIdentifiers.id_sha224, "SHA-224");
      this.put("MessageDigest.SHA-256", "cn.com.infosec.jce.provider.JDKMessageDigest$SHA256");
      this.put("Alg.Alias.MessageDigest.SHA256", "SHA-256");
      this.put("Alg.Alias.MessageDigest." + NISTObjectIdentifiers.id_sha256, "SHA-256");
      this.put("MessageDigest.SHA-384", "cn.com.infosec.jce.provider.JDKMessageDigest$SHA384");
      this.put("Alg.Alias.MessageDigest.SHA384", "SHA-384");
      this.put("Alg.Alias.MessageDigest." + NISTObjectIdentifiers.id_sha384, "SHA-384");
      this.put("MessageDigest.SHA-512", "cn.com.infosec.jce.provider.JDKMessageDigest$SHA512");
      this.put("Alg.Alias.MessageDigest.SHA512", "SHA-512");
      this.put("Alg.Alias.MessageDigest." + NISTObjectIdentifiers.id_sha512, "SHA-512");
      this.put("MessageDigest.MD2", "cn.com.infosec.jce.provider.JDKMessageDigest$MD2");
      this.put("Alg.Alias.MessageDigest." + PKCSObjectIdentifiers.md2, "MD2");
      this.put("MessageDigest.MD4", "cn.com.infosec.jce.provider.JDKMessageDigest$MD4");
      this.put("Alg.Alias.MessageDigest." + PKCSObjectIdentifiers.md4, "MD4");
      this.put("MessageDigest.MD5", "cn.com.infosec.jce.provider.JDKMessageDigest$MD5");
      this.put("Alg.Alias.MessageDigest." + PKCSObjectIdentifiers.md5, "MD5");
      this.put("MessageDigest.RIPEMD128", "cn.com.infosec.jce.provider.JDKMessageDigest$RIPEMD128");
      this.put("Alg.Alias.MessageDigest." + TeleTrusTObjectIdentifiers.ripemd128, "RIPEMD128");
      this.put("MessageDigest.RIPEMD160", "cn.com.infosec.jce.provider.JDKMessageDigest$RIPEMD160");
      this.put("Alg.Alias.MessageDigest." + TeleTrusTObjectIdentifiers.ripemd160, "RIPEMD160");
      this.put("MessageDigest.RIPEMD256", "cn.com.infosec.jce.provider.JDKMessageDigest$RIPEMD256");
      this.put("Alg.Alias.MessageDigest." + TeleTrusTObjectIdentifiers.ripemd256, "RIPEMD256");
      this.put("MessageDigest.RIPEMD320", "cn.com.infosec.jce.provider.JDKMessageDigest$RIPEMD320");
      this.put("MessageDigest.Tiger", "cn.com.infosec.jce.provider.JDKMessageDigest$Tiger");
      this.put("MessageDigest.WHIRLPOOL", "cn.com.infosec.jce.provider.JDKMessageDigest$Whirlpool");
      this.put("MessageDigest.GOST3411", "cn.com.infosec.jce.provider.JDKMessageDigest$GOST3411");
      this.put("Alg.Alias.MessageDigest.GOST", "GOST3411");
      this.put("Alg.Alias.MessageDigest.GOST-3411", "GOST3411");
      this.put("Alg.Alias.MessageDigest." + CryptoProObjectIdentifiers.gostR3411, "GOST3411");
   }

   private void addSignatureAlgorithms() {
      InfosecProvider var10000 = this;
      InfosecProvider var10001 = this;
      InfosecProvider var10002 = this;
      InfosecProvider var10003 = this;
      InfosecProvider var10004 = this;
      InfosecProvider var10005 = this;
      InfosecProvider var10006 = this;
      InfosecProvider var10007 = this;
      InfosecProvider var10008 = this;
      InfosecProvider var10009 = this;
      InfosecProvider var10010 = this;
      InfosecProvider var10011 = this;
      InfosecProvider var10012 = this;
      InfosecProvider var10013 = this;
      InfosecProvider var10014 = this;
      InfosecProvider var10015 = this;
      InfosecProvider var10016 = this;
      InfosecProvider var10017 = this;
      InfosecProvider var10018 = this;
      InfosecProvider var10019 = this;
      InfosecProvider var10020 = this;
      InfosecProvider var10021 = this;
      InfosecProvider var10022 = this;
      InfosecProvider var10023 = this;
      InfosecProvider var10024 = this;
      InfosecProvider var10025 = this;
      InfosecProvider var10026 = this;
      InfosecProvider var10027 = this;
      InfosecProvider var10028 = this;
      InfosecProvider var10029 = this;
      InfosecProvider var10030 = this;
      InfosecProvider var10031 = this;
      InfosecProvider var10032 = this;
      InfosecProvider var10033 = this;
      InfosecProvider var10034 = this;
      InfosecProvider var10035 = this;
      this.put("Signature.MD2WithRSAEncryption", "cn.com.infosec.jce.provider.JDKDigestSignature$MD2WithRSAEncryption");
      this.put("Signature.MD4WithRSAEncryption", "cn.com.infosec.jce.provider.JDKDigestSignature$MD4WithRSAEncryption");
      this.put("Signature.MD5WithRSAEncryption", "cn.com.infosec.jce.provider.JDKDigestSignature$MD5WithRSAEncryption");
      this.put("Signature.SHA1WithRSAEncryption", "cn.com.infosec.jce.provider.JDKDigestSignature$SHA1WithRSAEncryption");
      this.put("Signature.SHA224WithRSAEncryption", "cn.com.infosec.jce.provider.JDKDigestSignature$SHA224WithRSAEncryption");
      this.put("Signature.SHA256WithRSAEncryption", "cn.com.infosec.jce.provider.JDKDigestSignature$SHA256WithRSAEncryption");
      this.put("Signature.SHA384WithRSAEncryption", "cn.com.infosec.jce.provider.JDKDigestSignature$SHA384WithRSAEncryption");
      this.put("Signature.SHA512WithRSAEncryption", "cn.com.infosec.jce.provider.JDKDigestSignature$SHA512WithRSAEncryption");
      this.put("Signature.RIPEMD160WithRSAEncryption", "cn.com.infosec.jce.provider.JDKDigestSignature$RIPEMD160WithRSAEncryption");
      this.put("Signature.RIPEMD128WithRSAEncryption", "cn.com.infosec.jce.provider.JDKDigestSignature$RIPEMD128WithRSAEncryption");
      this.put("Signature.RIPEMD256WithRSAEncryption", "cn.com.infosec.jce.provider.JDKDigestSignature$RIPEMD256WithRSAEncryption");
      this.put("Signature.DSA", "cn.com.infosec.jce.provider.JDKDSASigner$stdDSA");
      this.put("Signature.NONEWITHDSA", "cn.com.infosec.jce.provider.JDKDSASigner$noneDSA");
      this.put("Signature.ECDSA", "cn.com.infosec.jce.provider.JDKDSASigner$ecDSA");
      this.put("Signature.SHA1WITHECNR", "cn.com.infosec.jce.provider.JDKDSASigner$ecNR");
      this.put("Signature.SHA224WITHECNR", "cn.com.infosec.jce.provider.JDKDSASigner$ecNR224");
      this.put("Signature.SHA256WITHECNR", "cn.com.infosec.jce.provider.JDKDSASigner$ecNR256");
      this.put("Signature.SHA384WITHECNR", "cn.com.infosec.jce.provider.JDKDSASigner$ecNR384");
      this.put("Signature.SHA512WITHECNR", "cn.com.infosec.jce.provider.JDKDSASigner$ecNR512");
      this.put("Signature.SHA1withRSA/ISO9796-2", "cn.com.infosec.jce.provider.JDKISOSignature$SHA1WithRSAEncryption");
      this.put("Signature.MD5withRSA/ISO9796-2", "cn.com.infosec.jce.provider.JDKISOSignature$MD5WithRSAEncryption");
      this.put("Signature.RIPEMD160withRSA/ISO9796-2", "cn.com.infosec.jce.provider.JDKISOSignature$RIPEMD160WithRSAEncryption");
      this.put("Signature.RSASSA-PSS", "cn.com.infosec.jce.provider.JDKPSSSigner$PSSwithRSA");
      this.put("Signature." + PKCSObjectIdentifiers.id_RSASSA_PSS, "cn.com.infosec.jce.provider.JDKPSSSigner$PSSwithRSA");
      this.put("Signature.SHA1withRSA/PSS", "cn.com.infosec.jce.provider.JDKPSSSigner$SHA1withRSA");
      this.put("Signature.SHA224withRSA/PSS", "cn.com.infosec.jce.provider.JDKPSSSigner$SHA224withRSA");
      this.put("Signature.SHA256withRSA/PSS", "cn.com.infosec.jce.provider.JDKPSSSigner$SHA256withRSA");
      this.put("Signature.SHA384withRSA/PSS", "cn.com.infosec.jce.provider.JDKPSSSigner$SHA384withRSA");
      this.put("Signature.SHA512withRSA/PSS", "cn.com.infosec.jce.provider.JDKPSSSigner$SHA512withRSA");
      this.put("Alg.Alias.Signature.RAWDSA", "NONEWITHDSA");
      this.put("Alg.Alias.Signature.SHA1withRSAandMGF1", "SHA1withRSA/PSS");
      this.put("Alg.Alias.Signature.SHA224withRSAandMGF1", "SHA224withRSA/PSS");
      this.put("Alg.Alias.Signature.SHA256withRSAandMGF1", "SHA256withRSA/PSS");
      this.put("Alg.Alias.Signature.SHA384withRSAandMGF1", "SHA384withRSA/PSS");
      this.put("Alg.Alias.Signature.SHA512withRSAandMGF1", "SHA512withRSA/PSS");
      this.put("Alg.Alias.Signature.MD2withRSAEncryption", "MD2WithRSAEncryption");
      this.put("Alg.Alias.Signature.MD4withRSAEncryption", "MD4WithRSAEncryption");
      this.put("Alg.Alias.Signature.MD5withRSAEncryption", "MD5WithRSAEncryption");
      this.put("Alg.Alias.Signature.SHA1withRSAEncryption", "SHA1WithRSAEncryption");
      this.put("Alg.Alias.Signature.SHA224withRSAEncryption", "SHA224WithRSAEncryption");
      this.put("Alg.Alias.Signature.SHA256withRSAEncryption", "SHA256WithRSAEncryption");
      this.put("Alg.Alias.Signature.SHA384withRSAEncryption", "SHA384WithRSAEncryption");
      this.put("Alg.Alias.Signature.SHA512withRSAEncryption", "SHA512WithRSAEncryption");
      this.put("Alg.Alias.Signature.SHA256WithRSAEncryption", "SHA256WithRSAEncryption");
      this.put("Alg.Alias.Signature.SHA384WithRSAEncryption", "SHA384WithRSAEncryption");
      this.put("Alg.Alias.Signature.SHA512WithRSAEncryption", "SHA512WithRSAEncryption");
      this.put("Alg.Alias.Signature.SHA256WITHRSAENCRYPTION", "SHA256WithRSAEncryption");
      this.put("Alg.Alias.Signature.SHA384WITHRSAENCRYPTION", "SHA384WithRSAEncryption");
      this.put("Alg.Alias.Signature.SHA512WITHRSAENCRYPTION", "SHA512WithRSAEncryption");
      this.put("Alg.Alias.Signature.RIPEMD160withRSAEncryption", "RIPEMD160WithRSAEncryption");
      this.put("Alg.Alias.Signature." + PKCSObjectIdentifiers.md2WithRSAEncryption, "MD2WithRSAEncryption");
      this.put("Alg.Alias.Signature.MD2WithRSA", "MD2WithRSAEncryption");
      this.put("Alg.Alias.Signature.MD2withRSA", "MD2WithRSAEncryption");
      this.put("Alg.Alias.Signature.MD2/RSA", "MD2WithRSAEncryption");
      this.put("Alg.Alias.Signature.MD5WithRSA", "MD5WithRSAEncryption");
      this.put("Alg.Alias.Signature.MD5withRSA", "MD5WithRSAEncryption");
      this.put("Alg.Alias.Signature.MD5/RSA", "MD5WithRSAEncryption");
      this.put("Alg.Alias.Signature." + PKCSObjectIdentifiers.md5WithRSAEncryption, "MD5WithRSAEncryption");
      this.put("Alg.Alias.Signature.MD4WithRSA", "MD4WithRSAEncryption");
      this.put("Alg.Alias.Signature.MD4withRSA", "MD4WithRSAEncryption");
      this.put("Alg.Alias.Signature.MD4/RSA", "MD4WithRSAEncryption");
      this.put("Alg.Alias.Signature." + PKCSObjectIdentifiers.md4WithRSAEncryption, "MD4WithRSAEncryption");
      this.put("Alg.Alias.Signature.SHA1WithRSA", "SHA1WithRSAEncryption");
      this.put("Alg.Alias.Signature.SHA1withRSA", "SHA1WithRSAEncryption");
      this.put("Alg.Alias.Signature.SHA224WithRSA", "SHA224WithRSAEncryption");
      this.put("Alg.Alias.Signature.SHA224withRSA", "SHA224WithRSAEncryption");
      this.put("Alg.Alias.Signature.SHA256WithRSA", "SHA256WithRSAEncryption");
      this.put("Alg.Alias.Signature.SHA256withRSA", "SHA256WithRSAEncryption");
      this.put("Alg.Alias.Signature.SHA384WithRSA", "SHA384WithRSAEncryption");
      this.put("Alg.Alias.Signature.SHA384withRSA", "SHA384WithRSAEncryption");
      this.put("Alg.Alias.Signature.SHA512WithRSA", "SHA512WithRSAEncryption");
      this.put("Alg.Alias.Signature.SHA512withRSA", "SHA512WithRSAEncryption");
      this.put("Alg.Alias.Signature.SHA1/RSA", "SHA1WithRSAEncryption");
      this.put("Alg.Alias.Signature.SHA-1/RSA", "SHA1WithRSAEncryption");
      this.put("Alg.Alias.Signature.1.3.14.3.2.29", "SHA1WithRSAEncryption");
      this.put("Alg.Alias.Signature." + PKCSObjectIdentifiers.sha1WithRSAEncryption, "SHA1WithRSAEncryption");
      this.put("Alg.Alias.Signature." + PKCSObjectIdentifiers.sha224WithRSAEncryption, "SHA224WithRSAEncryption");
      this.put("Alg.Alias.Signature." + PKCSObjectIdentifiers.sha256WithRSAEncryption, "SHA256WithRSAEncryption");
      this.put("Alg.Alias.Signature." + PKCSObjectIdentifiers.sha384WithRSAEncryption, "SHA384WithRSAEncryption");
      this.put("Alg.Alias.Signature." + PKCSObjectIdentifiers.sha512WithRSAEncryption, "SHA512WithRSAEncryption");
      this.put("Alg.Alias.Signature.1.3.14.3.2.26with1.2.840.113549.1.1.1", "SHA1WithRSAEncryption");
      this.put("Alg.Alias.Signature.1.3.14.3.2.26with1.2.840.113549.1.1.5", "SHA1WithRSAEncryption");
      this.put("Alg.Alias.Signature.1.2.840.113549.2.5with1.2.840.113549.1.1.1", "MD5WithRSAEncryption");
      this.put("Alg.Alias.Signature.RIPEMD160WithRSA", "RIPEMD160WithRSAEncryption");
      this.put("Alg.Alias.Signature.RIPEMD160withRSA", "RIPEMD160WithRSAEncryption");
      this.put("Alg.Alias.Signature.RIPEMD128WithRSA", "RIPEMD128WithRSAEncryption");
      this.put("Alg.Alias.Signature.RIPEMD128withRSA", "RIPEMD128WithRSAEncryption");
      this.put("Alg.Alias.Signature.RIPEMD256WithRSA", "RIPEMD256WithRSAEncryption");
      this.put("Alg.Alias.Signature.RIPEMD256withRSA", "RIPEMD256WithRSAEncryption");
      this.put("Alg.Alias.Signature.RIPEMD-160/RSA", "RIPEMD160WithRSAEncryption");
      this.put("Alg.Alias.Signature.RMD160withRSA", "RIPEMD160WithRSAEncryption");
      this.put("Alg.Alias.Signature.RMD160/RSA", "RIPEMD160WithRSAEncryption");
      this.put("Alg.Alias.Signature.1.3.36.3.3.1.2", "RIPEMD160WithRSAEncryption");
      this.put("Alg.Alias.Signature.1.3.36.3.3.1.3", "RIPEMD128WithRSAEncryption");
      this.put("Alg.Alias.Signature.1.3.36.3.3.1.4", "RIPEMD256WithRSAEncryption");
      this.put("Alg.Alias.Signature." + OIWObjectIdentifiers.sha1WithRSA, "SHA1WithRSAEncryption");
      this.put("Alg.Alias.Signature.MD2WITHRSAENCRYPTION", "MD2WithRSAEncryption");
      this.put("Alg.Alias.Signature.MD5WITHRSAENCRYPTION", "MD5WithRSAEncryption");
      this.put("Alg.Alias.Signature.SHA1WITHRSAENCRYPTION", "SHA1WithRSAEncryption");
      this.put("Alg.Alias.Signature.RIPEMD160WITHRSAENCRYPTION", "RIPEMD160WithRSAEncryption");
      this.put("Alg.Alias.Signature.MD5WITHRSA", "MD5WithRSAEncryption");
      this.put("Alg.Alias.Signature.SHA1WITHRSA", "SHA1WithRSAEncryption");
      this.put("Alg.Alias.Signature.RIPEMD160WITHRSA", "RIPEMD160WithRSAEncryption");
      this.put("Alg.Alias.Signature.RMD160WITHRSA", "RIPEMD160WithRSAEncryption");
      this.put("Alg.Alias.Signature.RIPEMD160WITHRSA", "RIPEMD160WithRSAEncryption");
      this.put("Alg.Alias.Signature.SHA1withECDSA", "ECDSA");
      this.put("Alg.Alias.Signature.ECDSAwithSHA1", "ECDSA");
      this.put("Alg.Alias.Signature.SHA1WITHECDSA", "ECDSA");
      this.put("Alg.Alias.Signature.ECDSAWITHSHA1", "ECDSA");
      this.put("Alg.Alias.Signature.SHA1WithECDSA", "ECDSA");
      this.put("Alg.Alias.Signature.ECDSAWithSHA1", "ECDSA");
      this.put("Alg.Alias.Signature.1.2.840.10045.4.1", "ECDSA");
      this.put("Alg.Alias.Signature." + TeleTrusTObjectIdentifiers.ecSignWithSha1, "ECDSA");
      DERObjectIdentifier var1 = X9ObjectIdentifiers.ecdsa_with_SHA224;
      var10035.addSignatureAlgorithm("SHA224", "ECDSA", "cn.com.infosec.jce.provider.JDKDSASigner$ecDSA224", var1);
      var1 = X9ObjectIdentifiers.ecdsa_with_SHA256;
      var10034.addSignatureAlgorithm("SHA256", "ECDSA", "cn.com.infosec.jce.provider.JDKDSASigner$ecDSA256", var1);
      var1 = X9ObjectIdentifiers.ecdsa_with_SHA384;
      var10033.addSignatureAlgorithm("SHA384", "ECDSA", "cn.com.infosec.jce.provider.JDKDSASigner$ecDSA384", var1);
      var1 = X9ObjectIdentifiers.ecdsa_with_SHA512;
      var10032.addSignatureAlgorithm("SHA512", "ECDSA", "cn.com.infosec.jce.provider.JDKDSASigner$ecDSA512", var1);
      var1 = TeleTrusTObjectIdentifiers.ecSignWithRipemd160;
      var10031.addSignatureAlgorithm("RIPEMD160", "ECDSA", "cn.com.infosec.jce.provider.JDKDSASigner$ecDSARipeMD160", var1);
      var1 = NISTObjectIdentifiers.dsa_with_sha224;
      var10030.addSignatureAlgorithm("SHA224", "DSA", "cn.com.infosec.jce.provider.JDKDSASigner$dsa224", var1);
      var1 = NISTObjectIdentifiers.dsa_with_sha256;
      var10029.addSignatureAlgorithm("SHA256", "DSA", "cn.com.infosec.jce.provider.JDKDSASigner$dsa256", var1);
      var1 = NISTObjectIdentifiers.dsa_with_sha384;
      var10028.addSignatureAlgorithm("SHA384", "DSA", "cn.com.infosec.jce.provider.JDKDSASigner$dsa384", var1);
      var1 = NISTObjectIdentifiers.dsa_with_sha512;
      var10027.addSignatureAlgorithm("SHA512", "DSA", "cn.com.infosec.jce.provider.JDKDSASigner$dsa512", var1);
      var10026.put("Alg.Alias.Signature.SHA/DSA", "DSA");
      var10025.put("Alg.Alias.Signature.SHA1withDSA", "DSA");
      var10024.put("Alg.Alias.Signature.SHA1WITHDSA", "DSA");
      var10023.put("Alg.Alias.Signature.1.3.14.3.2.26with1.2.840.10040.4.1", "DSA");
      var10022.put("Alg.Alias.Signature.1.3.14.3.2.26with1.2.840.10040.4.3", "DSA");
      var10021.put("Alg.Alias.Signature.DSAwithSHA1", "DSA");
      var10020.put("Alg.Alias.Signature.DSAWITHSHA1", "DSA");
      var10019.put("Alg.Alias.Signature.SHA1WithDSA", "DSA");
      var10018.put("Alg.Alias.Signature.DSAWithSHA1", "DSA");
      var10017.put("Alg.Alias.Signature.1.2.840.10040.4.3", "DSA");
      var10016.put("Alg.Alias.Signature.MD5WithRSA/ISO9796-2", "MD5withRSA/ISO9796-2");
      var10015.put("Alg.Alias.Signature.SHA1WithRSA/ISO9796-2", "SHA1withRSA/ISO9796-2");
      var10014.put("Alg.Alias.Signature.RIPEMD160WithRSA/ISO9796-2", "RIPEMD160withRSA/ISO9796-2");
      var10013.put("Signature.ECGOST3410", "cn.com.infosec.jce.provider.JDKGOST3410Signer$ecgost3410");
      var10012.put("Alg.Alias.Signature.ECGOST-3410", "ECGOST3410");
      var10011.put("Alg.Alias.Signature.GOST-3410-2001", "ECGOST3410");
      var10010.put("Alg.Alias.Signature.GOST3411withECGOST3410", "ECGOST3410");
      var10009.put("Alg.Alias.Signature.GOST3411WITHECGOST3410", "ECGOST3410");
      var10008.put("Alg.Alias.Signature.GOST3411WithECGOST3410", "ECGOST3410");
      var10007.put("Alg.Alias.Signature." + CryptoProObjectIdentifiers.gostR3411_94_with_gostR3410_2001, "ECGOST3410");
      var10006.put("Signature.GOST3410", "cn.com.infosec.jce.provider.JDKGOST3410Signer$gost3410");
      var10005.put("Alg.Alias.Signature.GOST-3410", "GOST3410");
      var10004.put("Alg.Alias.Signature.GOST-3410-94", "GOST3410");
      var10003.put("Alg.Alias.Signature.GOST3411withGOST3410", "GOST3410");
      var10002.put("Alg.Alias.Signature.GOST3411WITHGOST3410", "GOST3410");
      var10001.put("Alg.Alias.Signature.GOST3411WithGOST3410", "GOST3410");
      var10000.put("Alg.Alias.Signature." + CryptoProObjectIdentifiers.gostR3411_94_with_gostR3410_94, "GOST3410");
   }

   private void addSignatureAlgorithm(String digest, String algorithm, String className, DERObjectIdentifier oid) {
      InfosecProvider var10000 = this;
      InfosecProvider var10001 = this;
      InfosecProvider var10002 = this;
      InfosecProvider var10003 = this;
      InfosecProvider var10004 = this;
      InfosecProvider var10005 = this;
      String var7 = digest + "WITH" + algorithm;
      String var5 = digest + "with" + algorithm;
      String var6 = digest + "With" + algorithm;
      digest = digest + "/" + algorithm;
      var10005.put("Signature." + var7, className);
      var10004.put("Alg.Alias.Signature." + var5, var7);
      var10003.put("Alg.Alias.Signature." + var6, var7);
      var10002.put("Alg.Alias.Signature." + digest, var7);
      var10001.put("Alg.Alias.Signature." + oid, var7);
      var10000.put("Alg.Alias.Signature.OID." + oid, var7);
   }

   public void setParameter(String parameterName, Object parameter) {
      ProviderUtil.setParameter(parameterName, parameter);
   }
}
